import entity_en_US from '@locale/lanres/entity/entity_en_US';
import wfuser_en_US from '@locale/lanres/wfuser/wfuser_en_US';
import psdataentity_en_US from '@locale/lanres/psdata-entity/psdata-entity_en_US';
import wfstepdata_en_US from '@locale/lanres/wfstep-data/wfstep-data_en_US';
import orgdept_en_US from '@locale/lanres/org-dept/org-dept_en_US';
import pswfversion_en_US from '@locale/lanres/pswfversion/pswfversion_en_US';
import pssystem_en_US from '@locale/lanres/pssystem/pssystem_en_US';
import pswfprocrole_en_US from '@locale/lanres/pswfproc-role/pswfproc-role_en_US';
import orguser_en_US from '@locale/lanres/org-user/org-user_en_US';
import pswfprocess_en_US from '@locale/lanres/pswfprocess/pswfprocess_en_US';
import wfapp_en_US from '@locale/lanres/wfapp/wfapp_en_US';
import pswfrole_en_US from '@locale/lanres/pswfrole/pswfrole_en_US';
import pswflink_en_US from '@locale/lanres/pswflink/pswflink_en_US';
import wfengine_en_US from '@locale/lanres/wfengine/wfengine_en_US';
import pswfprocsubwf_en_US from '@locale/lanres/pswfprocsubwf/pswfprocsubwf_en_US';
import psdewf_en_US from '@locale/lanres/psdewf/psdewf_en_US';
import wfmode_en_US from '@locale/lanres/wfmode/wfmode_en_US';
import wfrole_en_US from '@locale/lanres/wfrole/wfrole_en_US';
import orgdeptuser_en_US from '@locale/lanres/org-dept-user/org-dept-user_en_US';
import orgdeptwfver_en_US from '@locale/lanres/org-dept-wfver/org-dept-wfver_en_US';
import psworkflow_en_US from '@locale/lanres/psworkflow/psworkflow_en_US';
import pssyswfcat_en_US from '@locale/lanres/pssys-wfcat/pssys-wfcat_en_US';
import workflow_en_US from '@locale/lanres/workflow/workflow_en_US';
import org_en_US from '@locale/lanres/org/org_en_US';
import wfstep_en_US from '@locale/lanres/wfstep/wfstep_en_US';
import wfworklist_en_US from '@locale/lanres/wfworklist/wfworklist_en_US';
import pswfroledetail_en_US from '@locale/lanres/pswfrole-detail/pswfrole-detail_en_US';
import wfiaaction_en_US from '@locale/lanres/wfiaaction/wfiaaction_en_US';
import wfinstance_en_US from '@locale/lanres/wfinstance/wfinstance_en_US';
import pssysapp_en_US from '@locale/lanres/pssys-app/pssys-app_en_US';
import wfstepactor_en_US from '@locale/lanres/wfstep-actor/wfstep-actor_en_US';

export default {
    app: {
        gridpage: {
            choicecolumns: 'Choice columns',
            refresh: 'refresh',
            show: 'Show',
            records: 'records',
            totle: 'totle',
        },
        tabpage: {
            sureclosetip: {
                title: 'Close warning',
                content: 'Form data Changed, are sure close?',
            },
            closeall: 'Close all',
            closeother: 'Close other',
        },
        fileUpload: {
            caption: 'Upload',
        },
        searchButton: {
            search: 'Search',
            reset: 'Reset',
        },
        // 非实体视图
        views: {
            indexview: {
                caption: '流程管理平台',
            },
        },
        menus: {
            indexview: {
                menuitem5: '组织人员',
                menuitem1: '组织管理',
                menuitem2: '部门管理',
                menuitem3: '组织人员',
                menuitem4: '部门人员',
                menuitem7: '系统管理',
                menuitem9: '应用管理',
                menuitem8: '流程应用管理',
                menuitem6: '工作流管理',
                menuitem14: '流程实体管理',
                menuitem11: '流程版本管理',
                menuitem10: '流程角色',
                menuitem12: '流程实例管理',
                menuitem13: '流程代办',
                menuitem15: '流程步骤信息',
            },
        },
    },
    entity: entity_en_US,
    wfuser: wfuser_en_US,
    psdataentity: psdataentity_en_US,
    wfstepdata: wfstepdata_en_US,
    orgdept: orgdept_en_US,
    pswfversion: pswfversion_en_US,
    pssystem: pssystem_en_US,
    pswfprocrole: pswfprocrole_en_US,
    orguser: orguser_en_US,
    pswfprocess: pswfprocess_en_US,
    wfapp: wfapp_en_US,
    pswfrole: pswfrole_en_US,
    pswflink: pswflink_en_US,
    wfengine: wfengine_en_US,
    pswfprocsubwf: pswfprocsubwf_en_US,
    psdewf: psdewf_en_US,
    wfmode: wfmode_en_US,
    wfrole: wfrole_en_US,
    orgdeptuser: orgdeptuser_en_US,
    orgdeptwfver: orgdeptwfver_en_US,
    psworkflow: psworkflow_en_US,
    pssyswfcat: pssyswfcat_en_US,
    workflow: workflow_en_US,
    org: org_en_US,
    wfstep: wfstep_en_US,
    wfworklist: wfworklist_en_US,
    pswfroledetail: pswfroledetail_en_US,
    wfiaaction: wfiaaction_en_US,
    wfinstance: wfinstance_en_US,
    pssysapp: pssysapp_en_US,
    wfstepactor: wfstepactor_en_US,
};