import { MockAdapter } from '@/mock/mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'
const Random = Mock.Random;

// 获取应用数据
mock.onGet('v7/index-viewappmenu').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, {
        name: 'appmenu',
        items:  [
            {
	id: 'd84fa30a843802fb2dc1d85d9b71e82b',
	name: 'menuitem5',
	text: '组织人员',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '组织人员',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: '9fe6438a9b1591a15335a5994be5c7b3',
	name: 'menuitem1',
	text: '组织管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '组织管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto19',
	resourcetag: '',
},
		{
	id: '898589ac9e2b6bf4307e036a097d9437',
	name: 'menuitem2',
	text: '部门管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '部门管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto26',
	resourcetag: '',
},
		{
	id: 'c85cf566c50d49bf6397e141dab881b7',
	name: 'menuitem3',
	text: '组织人员',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '组织人员',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto18',
	resourcetag: '',
},
		{
	id: '3309e9419102246bcae65d4ae85920dc',
	name: 'menuitem4',
	text: '部门人员',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '部门人员',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto17',
	resourcetag: '',
},
	],
},
            {
	id: '7986d2312f1ec99d7ebcf203f2b0180d',
	name: 'menuitem7',
	text: '系统管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '系统管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto30',
	resourcetag: '',
},
            {
	id: '9a0c197c5d9cd49d31dfcf4378a04d8f',
	name: 'menuitem9',
	text: '应用管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '应用管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto24',
	resourcetag: '',
},
            {
	id: 'c3f84c25d0cafe46171d6c209917d8b3',
	name: 'menuitem8',
	text: '流程应用管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '流程应用管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto16',
	resourcetag: '',
},
            {
	id: '54ab056af94be14db0bafcaec3397492',
	name: 'menuitem6',
	text: '工作流管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '工作流管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto23',
	resourcetag: '',
},
            {
	id: '52d62405188655a92936785107f49e14',
	name: 'menuitem14',
	text: '流程实体管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '流程实体管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto20',
	resourcetag: '',
},
            {
	id: '87a7a6dc78b22df01ddad340d7cda799',
	name: 'menuitem11',
	text: '流程版本管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '流程版本管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto25',
	resourcetag: '',
},
            {
	id: 'b6a2aaebc0e2364257893a892d27b721',
	name: 'menuitem10',
	text: '流程角色',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '流程角色',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto21',
	resourcetag: '',
},
            {
	id: '84d6cdfdc875376f0ffe0cc61f429bb2',
	name: 'menuitem12',
	text: '流程实例管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '流程实例管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto27',
	resourcetag: '',
},
            {
	id: '4881e2b0cf75a011281e2708605548db',
	name: 'menuitem13',
	text: '流程代办',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '流程代办',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto28',
	resourcetag: '',
},
            {
	id: 'ef42c25edfbba9b436d8df20440e29c6',
	name: 'menuitem15',
	text: '流程步骤信息',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '流程步骤信息',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto22',
	resourcetag: '',
},
        ],
    }];
});

