/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public getDataItems(): any[] {
		return [
			{
				name: 'logicname',
				prop: 'logicname',
				dataType: 'TEXT',
			},
			{
				name: 'proxyviewurl',
				prop: 'proxyviewurl',
				dataType: 'TEXT',
			},
			{
				name: 'pssystemid',
				prop: 'pssystemid',
				dataType: 'PICKUP',
			},
			{
				name: 'appurl',
				prop: 'appurl',
				dataType: 'TEXT',
			},
			{
				name: 'serviceurl',
				prop: 'serviceurl',
				dataType: 'TEXT',
			},
			{
				name: 'updatedate',
				prop: 'updatedate',
				dataType: 'DATETIME',
			},
			{
				name: 'pssysappname',
				prop: 'pssysappname',
				dataType: 'TEXT',
			},
			{
				name: 'srfmajortext',
				prop: 'pssysappname',
				dataType: 'TEXT',
			},
			{
				name: 'srfdataaccaction',
				prop: 'pssysappid',
				dataType: 'GUID',
			},
			{
				name: 'srfkey',
				prop: 'pssysappid',
				dataType: 'GUID',
			},
			{
				name: 'serviceid',
				prop: 'serviceid',
				dataType: 'TEXT',
			},
			{
				name: 'pssysapp',
				prop: 'pssysappid',
			},


      {
        name:'size',
        prop:'size'
      },
      {
        name:'query',
        prop:'query'
      },
      {
        name:'page',
        prop:'page'
      },
      {
        name:'sort',
        prop:'sort'
      },
      {
        name:'srfparentdata',
        prop:'srfparentdata'
      }
		]
	}

}