/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public getDataItems(): any[] {
		return [
			{
				name: 'wfuserid',
				prop: 'wfuserid',
				dataType: 'PICKUP',
			},
			{
				name: 'pswfroleid',
				prop: 'pswfroleid',
				dataType: 'PICKUP',
			},
			{
				name: 'orgdeptuserid',
				prop: 'orgdeptuserid',
				dataType: 'PICKUP',
			},
			{
				name: 'workdate',
				prop: 'workdate',
				dataType: 'DATETIME',
			},
			{
				name: 'wfinstanceid',
				prop: 'wfinstanceid',
				dataType: 'PICKUP',
			},
			{
				name: 'wfstep',
				prop: 'wfstep',
				dataType: 'TEXT',
			},
			{
				name: 'srfmajortext',
				prop: 'wfworklistname',
				dataType: 'TEXT',
			},
			{
				name: 'srfkey',
				prop: 'wfworklistid',
				dataType: 'GUID',
			},
			{
				name: 'srfdataaccaction',
				prop: 'wfworklistid',
				dataType: 'GUID',
			},
			{
				name: 'urgency',
				prop: 'urgency',
				dataType: 'TEXT',
			},
			{
				name: 'orgdeptid',
				prop: 'orgdeptid',
				dataType: 'PICKUP',
			},
			{
				name: 'orgid',
				prop: 'orgid',
				dataType: 'PICKUP',
			},
			{
				name: 'initiator',
				prop: 'initiator',
				dataType: 'TEXT',
			},
			{
				name: 'wfworklistname',
				prop: 'wfworklistname',
				dataType: 'TEXT',
			},
			{
				name: 'wfworklist',
				prop: 'wfworklistid',
			},


      {
        name:'size',
        prop:'size'
      },
      {
        name:'query',
        prop:'query'
      },
      {
        name:'page',
        prop:'page'
      },
      {
        name:'sort',
        prop:'sort'
      },
      {
        name:'srfparentdata',
        prop:'srfparentdata'
      }
		]
	}

}