import { MockAdapter } from '@/mock/mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'
const Random = Mock.Random;

// 获取应用数据
mock.onGet('v7/index-viewappmenu').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, {
        name: 'appmenu',
        items:  [
            {
	id: '2460a2a068e16630e2b752007605e7e0',
	name: 'menuitem1',
	text: '待办工作',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '待办工作',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto4',
	resourcetag: '',
},
            {
	id: '0302298f9199cbbe7207a2d0c74b4935',
	name: 'menuitem2',
	text: '已办工作',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '已办工作',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto1',
	resourcetag: '',
},
        ],
    }];
});

