import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "wfworklisttodogridview": {
            "title": "工作流工作列表待办表格视图",
            "caption": "工作流工作列表",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "r7rt_wf",
            "viewname": "WFWorklistTodoGridView",
            "viewtag": "0ae3de27b6cb6b435cd8f67d2340616e"
        },
        "wfworklisteditview": {
            "title": "工作流工作列表编辑视图",
            "caption": "工作流工作列表",
            "viewtype": "DEEDITVIEW",
            "viewmodule": "r7rt_wf",
            "viewname": "WFWorklistEditView",
            "viewtag": "4e5da7f34dc5a542ebec9c142196cf3f"
        },
        "indexview": {
            "title": "统一待办门户",
            "caption": "统一待办门户",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "r7rt_wf",
            "viewname": "IndexView",
            "viewtag": "81bbe18be8d3a9475e858132c941f059"
        },
        "wfworklistdonegridview": {
            "title": "工作流工作列表已办表格视图",
            "caption": "工作流工作列表",
            "viewtype": "DEGRIDVIEW",
            "viewmodule": "r7rt_wf",
            "viewname": "WFWorklistDoneGridView",
            "viewtag": "ebbf639ee4d1275d77bd8958dc711909"
        },
        "wfworklistwfdataredirectview": {
            "title": "工作流工作列表系统流程数据重定向视图",
            "caption": "工作流工作列表",
            "viewtype": "DEWFDATAREDIRECTVIEW",
            "viewmodule": "r7rt_wf",
            "viewname": "WFWorklistWFDataRedirectView",
            "viewtag": "ef1096d70ecd6d5f62f4d6c3a3bdb2d0"
        }
    }];
});