import orgdept_zh_CN from '@locale/lanres/org-dept/org-dept_zh_CN';
import orgdeptuser_zh_CN from '@locale/lanres/org-dept-user/org-dept-user_zh_CN';
import org_zh_CN from '@locale/lanres/org/org_zh_CN';
import wfiaaction_zh_CN from '@locale/lanres/wfiaaction/wfiaaction_zh_CN';
import orguser_zh_CN from '@locale/lanres/org-user/org-user_zh_CN';
import pswfversion_zh_CN from '@locale/lanres/pswfversion/pswfversion_zh_CN';

export default {
    app: {
        gridpage: {
            choicecolumns: '选择列',
            refresh: '刷新',
            show: '显示',
            records: '条',
            totle: '共',
        },
        tabpage: {
            sureclosetip: {
                title: '关闭提醒',
                content: '表单数据已经修改，确定要关闭？',
            },
            closeall: '关闭所有',
            closeother: '关闭其他',
        },
        fileUpload: {
            caption: '上传',
        },
        searchButton: {
            search: '搜索',
            reset: '重置',
        },
        // 非实体视图
        views: {
            selectindexview: {
                caption: '流程选择',
            },
        },
        menus: {
            selectindexview: {
                menuitem1: '流程选择页面',
            },
        },
    },
    orgdept: orgdept_zh_CN,
    orgdeptuser: orgdeptuser_zh_CN,
    org: org_zh_CN,
    wfiaaction: wfiaaction_zh_CN,
    orguser: orguser_zh_CN,
    pswfversion: pswfversion_zh_CN,
};