import { MockAdapter } from '@/mock/mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'
const Random = Mock.Random;

// 获取应用数据
mock.onGet('v7/select-index-viewappmenu').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status, {
        name: 'appmenu',
        items:  [
            {
	id: 'c32c89d748367e370267ef74bd9a65ac',
	name: 'menuitem1',
	text: '流程选择页面',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '流程选择页面',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: true,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto7',
	resourcetag: '',
},
        ],
    }];
});

