import { MockAdapter } from '../mock-adapter';
const mock = MockAdapter.getInstance();

import Mock from 'mockjs'

// 获取studio链接数据
mock.onGet('./assets/json/view-config.json').reply((config: any) => {
    let status = MockAdapter.mockStatus(config);
    return [status,{
                "selectindexview": {
            "title": "流程选择",
            "caption": "流程选择",
            "viewtype": "APPINDEXVIEW",
            "viewmodule": "WF",
            "viewname": "SelectIndexView",
            "viewtag": "4c8fab2c595f3a4064b9d7af916b5838"
        },
        "pswfversiondataview": {
            "title": "流程启动选择",
            "caption": "流程启动选择",
            "viewtype": "DEDATAVIEW",
            "viewmodule": "WF",
            "viewname": "PSWFVERSIONDataView",
            "viewtag": "85ffb64dc674775ce4fcdc65368d7f96"
        },
        "pswfversionindexpickupdataview": {
            "title": "流程启动选择",
            "caption": "流程启动选择",
            "viewtype": "DEINDEXPICKUPDATAVIEW",
            "viewmodule": "WF",
            "viewname": "PSWFVERSIONIndexPickupDataView",
            "viewtag": "a29f5d824d8ff778016a294aa893b602"
        }
    }];
});