/**
 * SelectIndexView 部件模型
 *
 * @export
 * @class SelectIndexViewModel
 */
export default class SelectIndexViewModel {

    /**
     * 菜单项集合
     *
     * @private
     * @type {any[]}
     * @memberof SelectIndexViewModel
     */
    private items: any[] = [
        {
	id: 'c32c89d748367e370267ef74bd9a65ac',
	name: 'menuitem1',
	text: '流程选择页面',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '流程选择页面',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: true,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto7',
	resourcetag: '',
},
    ];

	/**
	 * 应用功能集合
	 *
	 * @private
	 * @type {any[]}
	 * @memberof SelectIndexViewModel
	 */
	private funcs: any[] = [
	];

    /**
     * 获取所有菜单项集合
     *
     * @returns {any[]}
     * @memberof SelectIndexViewModel
     */
    public getAppMenuItems(): any[] {
        return this.items;
    }

    /**
     * 获取所有应用功能集合
     *
     * @returns {any[]}
     * @memberof SelectIndexViewModel
     */
    public getAppFuncs(): any[] {
        return this.funcs;
    }
}