/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'pswfroledetailid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'pswfroledetailname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'pswfroledetailname',
        prop: 'pswfroledetailname',
        dataType: 'TEXT',
      },
      {
        name: 'orgusername',
        prop: 'orgusername',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'orgname',
        prop: 'orgname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'orgdeptname',
        prop: 'orgdeptname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'starttime',
        prop: 'starttime',
        dataType: 'DATETIME',
      },
      {
        name: 'endtime',
        prop: 'endtime',
        dataType: 'DATETIME',
      },
      {
        name: 'pswfroleid',
        prop: 'pswfroleid',
        dataType: 'PICKUP',
      },
      {
        name: 'createman',
        prop: 'createman',
        dataType: 'TEXT',
      },
      {
        name: 'createdate',
        prop: 'createdate',
        dataType: 'DATETIME',
      },
      {
        name: 'updateman',
        prop: 'updateman',
        dataType: 'TEXT',
      },
      {
        name: 'updatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'pswfroledetailid',
        prop: 'pswfroledetailid',
        dataType: 'GUID',
      },
      {
        name: 'orgdeptid',
        prop: 'orgdeptid',
        dataType: 'PICKUP',
      },
      {
        name: 'orguserid',
        prop: 'orguserid',
        dataType: 'PICKUP',
      },
      {
        name: 'orgid',
        prop: 'orgid',
        dataType: 'PICKUP',
      },
      {
        name: 'pswfroledetail',
        prop: 'pswfroledetailid',
        dataType: 'FONTKEY',
      },
    ]
  }

}