/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public getDataItems(): any[] {
		return [
			{
				name: 'orgdeptid',
				prop: 'orgdeptid',
				dataType: 'PICKUP',
			},
			{
				name: 'orgid',
				prop: 'orgid',
				dataType: 'PICKUP',
			},
			{
				name: 'logicname',
				prop: 'logicname',
				dataType: 'TEXT',
			},
			{
				name: 'wfmodeid',
				prop: 'wfmodeid',
				dataType: 'PICKUP',
			},
			{
				name: 'psworkflowid',
				prop: 'psworkflowid',
				dataType: 'PICKUP',
			},
			{
				name: 'wfappid',
				prop: 'wfappid',
				dataType: 'PICKUP',
			},
			{
				name: 'srfmajortext',
				prop: 'pswfversionname',
				dataType: 'TEXT',
			},
			{
				name: 'srfdataaccaction',
				prop: 'pswfversionid',
				dataType: 'GUID',
			},
			{
				name: 'srfkey',
				prop: 'pswfversionid',
				dataType: 'GUID',
			},
			{
				name: 'pswfversionname',
				prop: 'pswfversionname',
				dataType: 'TEXT',
			},
			{
				name: 'version',
				prop: 'version',
				dataType: 'INT',
			},
			{
				name: 'pswfversion',
				prop: 'pswfversionid',
			},


      {
        name:'size',
        prop:'size'
      },
      {
        name:'query',
        prop:'query'
      },
      {
        name:'page',
        prop:'page'
      },
      {
        name:'sort',
        prop:'sort'
      },
      {
        name:'srfparentdata',
        prop:'srfparentdata'
      }
		]
	}

}