/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'psworkflowid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'pswfworkflowname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'psworkflowname',
        prop: 'pswfworkflowname',
        dataType: 'TEXT',
      },
      {
        name: 'logicname',
        prop: 'logicname',
        dataType: 'TEXT',
      },
      {
        name: 'wfenginetype',
        prop: 'wfenginetype',
        dataType: 'TEXT',
      },
      {
        name: 'orgname',
        prop: 'orgname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'orgdeptname',
        prop: 'orgdeptname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'createman',
        prop: 'createman',
        dataType: 'TEXT',
      },
      {
        name: 'createdate',
        prop: 'createdate',
        dataType: 'DATETIME',
      },
      {
        name: 'updateman',
        prop: 'updateman',
        dataType: 'TEXT',
      },
      {
        name: 'updatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'orgdeptid',
        prop: 'orgdeptid',
        dataType: 'PICKUP',
      },
      {
        name: 'orgid',
        prop: 'orgid',
        dataType: 'PICKUP',
      },
      {
        name: 'psworkflowid',
        prop: 'psworkflowid',
        dataType: 'GUID',
      },
      {
        name: 'psworkflow',
        prop: 'psworkflowid',
        dataType: 'FONTKEY',
      },
    ]
  }

}