package cn.ibizlab.r7.runtime.wf.core.r7rt_wf.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSSysApp;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSSysAppSearchContext;

/**
 * 实体[PSSysApp] 服务对象接口
 */

public interface IPSSysAppService{
     PSSysApp get(String pSSysAppId) ;
     PSSysApp get(PSSysApp pSSysApp) ;
     boolean save(PSSysApp pSSysApp) ;
     boolean create(PSSysApp pSSysApp) ;
     PSSysApp getDraft(PSSysApp pSSysApp) ;
     boolean remove(String pSSysAppId) ;
     boolean checkKey(PSSysApp pSSysApp) ;
     boolean update(PSSysApp pSSysApp) ;
     PSSysApp regist(PSSysApp pSSysApp) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<PSSysApp> searchDefault(PSSysAppSearchContext context) ;

    /**
     * 根据业务系统查询
     */
     Page<PSSysApp> selectByPssystem(String pssystemid) ;
     List<PSSysApp> selectByPssystem2(String pssystemid);

}
