package cn.ibizlab.r7.runtime.wf.core.r7rt_wf.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFApp;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFAppSearchContext;

/**
 * 实体[WFApp] 服务对象接口
 */

public interface IWFAppService{
     boolean checkKey(WFApp wFApp) ;
     WFApp getDraft(WFApp wFApp) ;
     boolean update(WFApp wFApp) ;
     boolean save(WFApp wFApp) ;
     WFApp queryWFApp(WFApp wFApp) ;
     WFApp regist(WFApp wFApp) ;
     WFApp get(String wFAppId) ;
     WFApp get(WFApp wFApp) ;
     boolean remove(String wFAppId) ;
     boolean create(WFApp wFApp) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<WFApp> searchDefault(WFAppSearchContext context) ;

    /**
     * 根据业务系统查询
     */
     Page<WFApp> selectByPssystem(String pssystemid) ;
     List<WFApp> selectByPssystem2(String pssystemid);

}
