package cn.ibizlab.r7.runtime.wf.core.r7rt_wf.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFMode;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFModeSearchContext;

/**
 * 实体[WFMode] 服务对象接口
 */

public interface IWFModeService{
     boolean checkKey(WFMode wFMode) ;
     WFMode regist(WFMode wFMode) ;
     boolean remove(String wFModeId) ;
     WFMode get(String wFModeId) ;
     WFMode get(WFMode wFMode) ;
     boolean update(WFMode wFMode) ;
     WFMode getDraft(WFMode wFMode) ;
     boolean save(WFMode wFMode) ;
     boolean create(WFMode wFMode) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<WFMode> searchDefault(WFModeSearchContext context) ;

    /**
     * 根据业务系统查询
     */
     Page<WFMode> selectByPssystem(String pssystemid) ;
     List<WFMode> selectByPssystem2(String pssystemid);

}
