package cn.ibizlab.r7.runtime.wf.core.r7rt_wf.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFUser;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFUserSearchContext;

/**
 * 实体[WFUser] 服务对象接口
 */

public interface IWFUserService{
     boolean update(WFUser wFUser) ;
     boolean remove(String wFUserId) ;
     boolean save(WFUser wFUser) ;
     WFUser getDraft(WFUser wFUser) ;
     boolean checkKey(WFUser wFUser) ;
     boolean create(WFUser wFUser) ;
     WFUser get(String wFUserId) ;
     WFUser get(WFUser wFUser) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<WFUser> searchDefault(WFUserSearchContext context) ;

}
