package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.Entity;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.EntitySearchContext;

/**
 * 实体 [实体] 存储对象
 */
public interface EntityRepository extends Repository<Entity> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<Entity> searchDefault(EntitySearchContext context);

    Entity convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.Entity domain , Entity po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.Entity convert2Domain( Entity po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.Entity domain) ;

}
