package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.OrgDeptWFVer;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.OrgDeptWFVerSearchContext;

/**
 * 实体 [部门流程版本] 存储对象
 */
public interface OrgDeptWFVerRepository extends Repository<OrgDeptWFVer> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<OrgDeptWFVer> searchDefault(OrgDeptWFVerSearchContext context);
    /**
	 * 查询集合 [当前部门]
	 * @param context
	 * @return
	 */
    Page<OrgDeptWFVer> searchCurOrgDept(OrgDeptWFVerSearchContext context);

    OrgDeptWFVer convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.OrgDeptWFVer domain , OrgDeptWFVer po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.OrgDeptWFVer convert2Domain( OrgDeptWFVer po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.OrgDeptWFVer domain) ;

}
