package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.PSSysApp;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSSysAppSearchContext;

/**
 * 实体 [业务系统应用] 存储对象
 */
public interface PSSysAppRepository extends Repository<PSSysApp> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<PSSysApp> searchDefault(PSSysAppSearchContext context);

    PSSysApp convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSSysApp domain , PSSysApp po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSSysApp convert2Domain( PSSysApp po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSSysApp domain) ;

}
