package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.PSSysWFCat;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSSysWFCatSearchContext;

/**
 * 实体 [系统流程分类] 存储对象
 */
public interface PSSysWFCatRepository extends Repository<PSSysWFCat> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<PSSysWFCat> searchDefault(PSSysWFCatSearchContext context);

    PSSysWFCat convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSSysWFCat domain , PSSysWFCat po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSSysWFCat convert2Domain( PSSysWFCat po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSSysWFCat domain) ;

}
