package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.PSSystem;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSSystemSearchContext;

/**
 * 实体 [业务系统] 存储对象
 */
public interface PSSystemRepository extends Repository<PSSystem> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<PSSystem> searchDefault(PSSystemSearchContext context);

    PSSystem convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSSystem domain , PSSystem po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSSystem convert2Domain( PSSystem po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSSystem domain) ;

}
