package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.PSWFProcess;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSWFProcessSearchContext;

/**
 * 实体 [流程处理] 存储对象
 */
public interface PSWFProcessRepository extends Repository<PSWFProcess> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<PSWFProcess> searchDefault(PSWFProcessSearchContext context);

    PSWFProcess convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSWFProcess domain , PSWFProcess po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSWFProcess convert2Domain( PSWFProcess po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSWFProcess domain) ;

}
