package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.WFInstance;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFInstanceSearchContext;

/**
 * 实体 [工作流实例] 存储对象
 */
public interface WFInstanceRepository extends Repository<WFInstance> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<WFInstance> searchDefault(WFInstanceSearchContext context);

    WFInstance convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFInstance domain , WFInstance po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFInstance convert2Domain( WFInstance po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFInstance domain) ;

}
