package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.WFMode;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFModeSearchContext;

/**
 * 实体 [工作流模式] 存储对象
 */
public interface WFModeRepository extends Repository<WFMode> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<WFMode> searchDefault(WFModeSearchContext context);

    WFMode convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFMode domain , WFMode po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFMode convert2Domain( WFMode po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFMode domain) ;

}
