package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.WFRole;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFRoleSearchContext;

/**
 * 实体 [流程角色] 存储对象
 */
public interface WFRoleRepository extends Repository<WFRole> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<WFRole> searchDefault(WFRoleSearchContext context);

    WFRole convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFRole domain , WFRole po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFRole convert2Domain( WFRole po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFRole domain) ;

}
