package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.WFStepActor;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFStepActorSearchContext;

/**
 * 实体 [工作流步骤操作者] 存储对象
 */
public interface WFStepActorRepository extends Repository<WFStepActor> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<WFStepActor> searchDefault(WFStepActorSearchContext context);

    WFStepActor convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFStepActor domain , WFStepActor po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFStepActor convert2Domain( WFStepActor po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFStepActor domain) ;

}
