package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.WFUser;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFUserSearchContext;

/**
 * 实体 [工作流用户] 存储对象
 */
public interface WFUserRepository extends Repository<WFUser> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<WFUser> searchDefault(WFUserSearchContext context);

    WFUser convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFUser domain , WFUser po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFUser convert2Domain( WFUser po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFUser domain) ;

}
