package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.Workflow;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WorkflowSearchContext;

/**
 * 实体 [统一工作流] 存储对象
 */
public interface WorkflowRepository extends Repository<Workflow> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<Workflow> searchDefault(WorkflowSearchContext context);

    Workflow convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.Workflow domain , Workflow po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.Workflow convert2Domain( Workflow po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.Workflow domain) ;

}
