package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.OrgDeptWFVerSearchContext;

/**
 * 实体 [部门流程版本] 存储模型
 */
public interface OrgDeptWFVer{

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 部门流程版本名称
     */
    String getOrgDeptWFVerName();

    void setOrgDeptWFVerName(String orgDeptWFVerName);

    /**
     * 获取 [部门流程版本名称]脏标记
     */
    boolean getOrgDeptWFVerNameDirtyFlag();

    /**
     * 部门流程版本标识
     */
    String getOrgDeptWFVerId();

    void setOrgDeptWFVerId(String orgDeptWFVerId);

    /**
     * 获取 [部门流程版本标识]脏标记
     */
    boolean getOrgDeptWFVerIdDirtyFlag();

    /**
     * 开始时间
     */
    Timestamp getStartTime();

    void setStartTime(Timestamp startTime);

    /**
     * 获取 [开始时间]脏标记
     */
    boolean getStartTimeDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 结束时间
     */
    Timestamp getEndtime();

    void setEndtime(Timestamp endtime);

    /**
     * 获取 [结束时间]脏标记
     */
    boolean getEndtimeDirtyFlag();

    /**
     * 部门名称
     */
    String getOrgDeptName();

    void setOrgDeptName(String orgDeptName);

    /**
     * 获取 [部门名称]脏标记
     */
    boolean getOrgDeptNameDirtyFlag();

    /**
     * 业务流程版本名称
     */
    String getPSWFVersionName();

    void setPSWFVersionName(String pSWFVersionName);

    /**
     * 获取 [业务流程版本名称]脏标记
     */
    boolean getPSWFVersionNameDirtyFlag();

    /**
     * 业务工作流名称
     */
    String getPSWFWorkflowName();

    void setPSWFWorkflowName(String pSWFWorkflowName);

    /**
     * 获取 [业务工作流名称]脏标记
     */
    boolean getPSWFWorkflowNameDirtyFlag();

    /**
     * 部门标识
     */
    String getOrgDeptId();

    void setOrgDeptId(String orgDeptId);

    /**
     * 获取 [部门标识]脏标记
     */
    boolean getOrgDeptIdDirtyFlag();

    /**
     * 业务工作流标识
     */
    String getPSWorkflowId();

    void setPSWorkflowId(String pSWorkflowId);

    /**
     * 获取 [业务工作流标识]脏标记
     */
    boolean getPSWorkflowIdDirtyFlag();

    /**
     * 业务流程版本标识
     */
    String getPSWFVersionId();

    void setPSWFVersionId(String pSWFVersionId);

    /**
     * 获取 [业务流程版本标识]脏标记
     */
    boolean getPSWFVersionIdDirtyFlag();

}
