package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSDEWFSearchContext;

/**
 * 实体 [业务实体工作流] 存储模型
 */
public interface PSDEWF{

    /**
     * 错误跳转主状态
     */
    String getErrorvalue();

    void setErrorvalue(String errorvalue);

    /**
     * 获取 [错误跳转主状态]脏标记
     */
    boolean getErrorvalueDirtyFlag();

    /**
     * 逻辑名称
     */
    String getLogicName();

    void setLogicName(String logicName);

    /**
     * 获取 [逻辑名称]脏标记
     */
    boolean getLogicNameDirtyFlag();

    /**
     * 用户状态属性
     */
    String getUdstatefield();

    void setUdstatefield(String udstatefield);

    /**
     * 获取 [用户状态属性]脏标记
     */
    boolean getUdstatefieldDirtyFlag();

    /**
     * 业务实体工作流名称
     */
    String getPSDEWFName();

    void setPSDEWFName(String pSDEWFName);

    /**
     * 获取 [业务实体工作流名称]脏标记
     */
    boolean getPSDEWFNameDirtyFlag();

    /**
     * 流程步骤属性
     */
    String getWfstepfield();

    void setWfstepfield(String wfstepfield);

    /**
     * 获取 [流程步骤属性]脏标记
     */
    boolean getWfstepfieldDirtyFlag();

    /**
     * 业务实体工作流标识
     */
    String getPSDEWFId();

    void setPSDEWFId(String pSDEWFId);

    /**
     * 获取 [业务实体工作流标识]脏标记
     */
    boolean getPSDEWFIdDirtyFlag();

    /**
     * 处理中主状态
     */
    String getProcessvalue();

    void setProcessvalue(String processvalue);

    /**
     * 获取 [处理中主状态]脏标记
     */
    boolean getProcessvalueDirtyFlag();

    /**
     * 工作流代理模式
     */
    Integer getWFProxyMode();

    void setWFProxyMode(Integer wFProxyMode);

    /**
     * 获取 [工作流代理模式]脏标记
     */
    boolean getWFProxyModeDirtyFlag();

    /**
     * 流程状态属性
     */
    String getWfstatefield();

    void setWfstatefield(String wfstatefield);

    /**
     * 获取 [流程状态属性]脏标记
     */
    boolean getWfstatefieldDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 完成跳转主状态
     */
    String getFinishvalue();

    void setFinishvalue(String finishvalue);

    /**
     * 获取 [完成跳转主状态]脏标记
     */
    boolean getFinishvalueDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 实体代码名
     */
    String getPSDECodeName();

    void setPSDECodeName(String pSDECodeName);

    /**
     * 获取 [实体代码名]脏标记
     */
    boolean getPSDECodeNameDirtyFlag();

    /**
     * 业务工作流标识
     */
    String getPSWorkflowId();

    void setPSWorkflowId(String pSWorkflowId);

    /**
     * 获取 [业务工作流标识]脏标记
     */
    boolean getPSWorkflowIdDirtyFlag();

    /**
     * 业务实体标识
     */
    String getPSDataEntityId();

    void setPSDataEntityId(String pSDataEntityId);

    /**
     * 获取 [业务实体标识]脏标记
     */
    boolean getPSDataEntityIdDirtyFlag();

}
