package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSDataEntitySearchContext;

/**
 * 实体 [业务实体] 存储模型
 */
public interface PSDataEntity{

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 业务实体名称
     */
    String getPSDataEntityName();

    void setPSDataEntityName(String pSDataEntityName);

    /**
     * 获取 [业务实体名称]脏标记
     */
    boolean getPSDataEntityNameDirtyFlag();

    /**
     * 业务实体标识
     */
    String getPSDataEntityId();

    void setPSDataEntityId(String pSDataEntityId);

    /**
     * 获取 [业务实体标识]脏标记
     */
    boolean getPSDataEntityIdDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 代码名
     */
    String getCodename();

    void setCodename(String codename);

    /**
     * 获取 [代码名]脏标记
     */
    boolean getCodenameDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 逻辑名称
     */
    String getLogicName();

    void setLogicName(String logicName);

    /**
     * 获取 [逻辑名称]脏标记
     */
    boolean getLogicNameDirtyFlag();

    /**
     * 业务系统标识
     */
    String getPSSystemId();

    void setPSSystemId(String pSSystemId);

    /**
     * 获取 [业务系统标识]脏标记
     */
    boolean getPSSystemIdDirtyFlag();

}
