package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSSysAppSearchContext;

/**
 * 实体 [业务系统应用] 存储模型
 */
public interface PSSysApp{

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 业务系统应用标识
     */
    String getPSSysAppId();

    void setPSSysAppId(String pSSysAppId);

    /**
     * 获取 [业务系统应用标识]脏标记
     */
    boolean getPSSysAppIdDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 代理地址
     */
    String getProxyviewurl();

    void setProxyviewurl(String proxyviewurl);

    /**
     * 获取 [代理地址]脏标记
     */
    boolean getProxyviewurlDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 应用地址
     */
    String getAppUrl();

    void setAppUrl(String appUrl);

    /**
     * 获取 [应用地址]脏标记
     */
    boolean getAppUrlDirtyFlag();

    /**
     * 逻辑名称
     */
    String getLogicName();

    void setLogicName(String logicName);

    /**
     * 获取 [逻辑名称]脏标记
     */
    boolean getLogicNameDirtyFlag();

    /**
     * 服务地址
     */
    String getServiceUrl();

    void setServiceUrl(String serviceUrl);

    /**
     * 获取 [服务地址]脏标记
     */
    boolean getServiceUrlDirtyFlag();

    /**
     * 业务系统应用名称
     */
    String getPSSysAppName();

    void setPSSysAppName(String pSSysAppName);

    /**
     * 获取 [业务系统应用名称]脏标记
     */
    boolean getPSSysAppNameDirtyFlag();

    /**
     * 服务标识
     */
    String getServiceId();

    void setServiceId(String serviceId);

    /**
     * 获取 [服务标识]脏标记
     */
    boolean getServiceIdDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 业务系统标识
     */
    String getPSSystemId();

    void setPSSystemId(String pSSystemId);

    /**
     * 获取 [业务系统标识]脏标记
     */
    boolean getPSSystemIdDirtyFlag();

}
