package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSSysWFCatSearchContext;

/**
 * 实体 [系统流程分类] 存储模型
 */
public interface PSSysWFCat{

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 系统流程分类标识
     */
    String getPSSysWFCatId();

    void setPSSysWFCatId(String pSSysWFCatId);

    /**
     * 获取 [系统流程分类标识]脏标记
     */
    boolean getPSSysWFCatIdDirtyFlag();

    /**
     * 系统流程分类名称
     */
    String getPSSysWFCatName();

    void setPSSysWFCatName(String pSSysWFCatName);

    /**
     * 获取 [系统流程分类名称]脏标记
     */
    boolean getPSSysWFCatNameDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

}
