package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSWFPROCSUBWFSearchContext;

/**
 * 实体 [嵌套流程] 存储模型
 */
public interface PSWFPROCSUBWF{

    /**
     * 嵌套流程名称
     */
    String getPSWFPROCSUBWFName();

    void setPSWFPROCSUBWFName(String pSWFPROCSUBWFName);

    /**
     * 获取 [嵌套流程名称]脏标记
     */
    boolean getPSWFPROCSUBWFNameDirtyFlag();

    /**
     * 嵌套流程标识
     */
    String getPSWFPROCSUBWFId();

    void setPSWFPROCSUBWFId(String pSWFPROCSUBWFId);

    /**
     * 获取 [嵌套流程标识]脏标记
     */
    boolean getPSWFPROCSUBWFIdDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 流程嵌套实体数据集
     */
    String getSubwfdedataset();

    void setSubwfdedataset(String subwfdedataset);

    /**
     * 获取 [流程嵌套实体数据集]脏标记
     */
    boolean getSubwfdedatasetDirtyFlag();

    /**
     * 业务流程版本标识
     */
    String getPSWFVersionId();

    void setPSWFVersionId(String pSWFVersionId);

    /**
     * 获取 [业务流程版本标识]脏标记
     */
    boolean getPSWFVersionIdDirtyFlag();

    /**
     * 流程嵌套实体标识
     */
    String getSubwfdeid();

    void setSubwfdeid(String subwfdeid);

    /**
     * 获取 [流程嵌套实体标识]脏标记
     */
    boolean getSubwfdeidDirtyFlag();

    /**
     * 流程处理标识
     */
    String getPSWFProcessId();

    void setPSWFProcessId(String pSWFProcessId);

    /**
     * 获取 [流程处理标识]脏标记
     */
    boolean getPSWFProcessIdDirtyFlag();

    /**
     * 业务工作流标识
     */
    String getPSWorkflowId();

    void setPSWorkflowId(String pSWorkflowId);

    /**
     * 获取 [业务工作流标识]脏标记
     */
    boolean getPSWorkflowIdDirtyFlag();

}
