package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSWFProcessSearchContext;

/**
 * 实体 [流程处理] 存储模型
 */
public interface PSWFProcess{

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 预定义行为
     */
    String getPreDefinedActions();

    void setPreDefinedActions(String preDefinedActions);

    /**
     * 获取 [预定义行为]脏标记
     */
    boolean getPreDefinedActionsDirtyFlag();

    /**
     * 处理类型
     */
    String getWFProcessType();

    void setWFProcessType(String wFProcessType);

    /**
     * 获取 [处理类型]脏标记
     */
    boolean getWFProcessTypeDirtyFlag();

    /**
     * 流程处理名称
     */
    String getPSWFProcessName();

    void setPSWFProcessName(String pSWFProcessName);

    /**
     * 获取 [流程处理名称]脏标记
     */
    boolean getPSWFProcessNameDirtyFlag();

    /**
     * 流程处理标识
     */
    String getPSWFProcessId();

    void setPSWFProcessId(String pSWFProcessId);

    /**
     * 获取 [流程处理标识]脏标记
     */
    boolean getPSWFProcessIdDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 步骤值
     */
    String getWFStepValue();

    void setWFStepValue(String wFStepValue);

    /**
     * 获取 [步骤值]脏标记
     */
    boolean getWFStepValueDirtyFlag();

    /**
     * 多实例模式
     */
    String getMultiInstMode();

    void setMultiInstMode(String multiInstMode);

    /**
     * 获取 [多实例模式]脏标记
     */
    boolean getMultiInstModeDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 步骤名称
     */
    String getWFStepName();

    void setWFStepName(String wFStepName);

    /**
     * 获取 [步骤名称]脏标记
     */
    boolean getWFStepNameDirtyFlag();

    /**
     * 业务流程版本名称
     */
    String getPSWFVersionName();

    void setPSWFVersionName(String pSWFVersionName);

    /**
     * 获取 [业务流程版本名称]脏标记
     */
    boolean getPSWFVersionNameDirtyFlag();

    /**
     * 业务工作流标识
     */
    String getTargetpswfid();

    void setTargetpswfid(String targetpswfid);

    /**
     * 获取 [业务工作流标识]脏标记
     */
    boolean getTargetpswfidDirtyFlag();

    /**
     * 业务流程版本标识
     */
    String getPSWFVersionId();

    void setPSWFVersionId(String pSWFVersionId);

    /**
     * 获取 [业务流程版本标识]脏标记
     */
    boolean getPSWFVersionIdDirtyFlag();

}
