package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSWFRoleSearchContext;

/**
 * 实体 [平台流程角色] 存储模型
 */
public interface PSWFRole{

    /**
     * 角色数据2
     */
    String getRoleData2();

    void setRoleData2(String roleData2);

    /**
     * 获取 [角色数据2]脏标记
     */
    boolean getRoleData2DirtyFlag();

    /**
     * 角色数据
     */
    String getRoleData();

    void setRoleData(String roleData);

    /**
     * 获取 [角色数据]脏标记
     */
    boolean getRoleDataDirtyFlag();

    /**
     * 平台流程角色标识
     */
    String getPSWFRoleId();

    void setPSWFRoleId(String pSWFRoleId);

    /**
     * 获取 [平台流程角色标识]脏标记
     */
    boolean getPSWFRoleIdDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 系统数据
     */
    Integer getSystemFlag();

    void setSystemFlag(Integer systemFlag);

    /**
     * 获取 [系统数据]脏标记
     */
    boolean getSystemFlagDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 流程角色名称
     */
    String getPSWFRoleName();

    void setPSWFRoleName(String pSWFRoleName);

    /**
     * 获取 [流程角色名称]脏标记
     */
    boolean getPSWFRoleNameDirtyFlag();

    /**
     * 角色类型
     */
    String getWFRoleType();

    void setWFRoleType(String wFRoleType);

    /**
     * 获取 [角色类型]脏标记
     */
    boolean getWFRoleTypeDirtyFlag();

    /**
     * 部门名称
     */
    String getOrgDeptName();

    void setOrgDeptName(String orgDeptName);

    /**
     * 获取 [部门名称]脏标记
     */
    boolean getOrgDeptNameDirtyFlag();

    /**
     * 组织名称
     */
    String getOrgName();

    void setOrgName(String orgName);

    /**
     * 获取 [组织名称]脏标记
     */
    boolean getOrgNameDirtyFlag();

    /**
     * 部门标识
     */
    String getOrgDeptId();

    void setOrgDeptId(String orgDeptId);

    /**
     * 获取 [部门标识]脏标记
     */
    boolean getOrgDeptIdDirtyFlag();

    /**
     * 组织标识
     */
    String getOrgId();

    void setOrgId(String orgId);

    /**
     * 获取 [组织标识]脏标记
     */
    boolean getOrgIdDirtyFlag();

}
