package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSWFRoleDetailSearchContext;

/**
 * 实体 [平台流程角色成员] 存储模型
 */
public interface PSWFRoleDetail{

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 开始时间
     */
    Timestamp getStartTime();

    void setStartTime(Timestamp startTime);

    /**
     * 获取 [开始时间]脏标记
     */
    boolean getStartTimeDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 平台流程角色成员标识
     */
    String getPSWFRoleDetailId();

    void setPSWFRoleDetailId(String pSWFRoleDetailId);

    /**
     * 获取 [平台流程角色成员标识]脏标记
     */
    boolean getPSWFRoleDetailIdDirtyFlag();

    /**
     * 角色成员名称
     */
    String getPSWFRoleDetailName();

    void setPSWFRoleDetailName(String pSWFRoleDetailName);

    /**
     * 获取 [角色成员名称]脏标记
     */
    boolean getPSWFRoleDetailNameDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 结束时间
     */
    Timestamp getEndtime();

    void setEndtime(Timestamp endtime);

    /**
     * 获取 [结束时间]脏标记
     */
    boolean getEndtimeDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 部门名称
     */
    String getOrgDeptName();

    void setOrgDeptName(String orgDeptName);

    /**
     * 获取 [部门名称]脏标记
     */
    boolean getOrgDeptNameDirtyFlag();

    /**
     * 用户名称
     */
    String getOrgUserName();

    void setOrgUserName(String orgUserName);

    /**
     * 获取 [用户名称]脏标记
     */
    boolean getOrgUserNameDirtyFlag();

    /**
     * 组织名称
     */
    String getOrgName();

    void setOrgName(String orgName);

    /**
     * 获取 [组织名称]脏标记
     */
    boolean getOrgNameDirtyFlag();

    /**
     * 组织用户标识
     */
    String getOrgUserId();

    void setOrgUserId(String orgUserId);

    /**
     * 获取 [组织用户标识]脏标记
     */
    boolean getOrgUserIdDirtyFlag();

    /**
     * 组织标识
     */
    String getOrgId();

    void setOrgId(String orgId);

    /**
     * 获取 [组织标识]脏标记
     */
    boolean getOrgIdDirtyFlag();

    /**
     * 部门标识
     */
    String getOrgDeptId();

    void setOrgDeptId(String orgDeptId);

    /**
     * 获取 [部门标识]脏标记
     */
    boolean getOrgDeptIdDirtyFlag();

    /**
     * 平台流程角色标识
     */
    String getPSWFRoleId();

    void setPSWFRoleId(String pSWFRoleId);

    /**
     * 获取 [平台流程角色标识]脏标记
     */
    boolean getPSWFRoleIdDirtyFlag();

}
