package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSWorkflowSearchContext;

/**
 * 实体 [业务工作流] 存储模型
 */
public interface PSWorkflow{

    /**
     * 引擎类型
     */
    String getWfenginetype();

    void setWfenginetype(String wfenginetype);

    /**
     * 获取 [引擎类型]脏标记
     */
    boolean getWfenginetypeDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 工作流类型
     */
    String getWftype();

    void setWftype(String wftype);

    /**
     * 获取 [工作流类型]脏标记
     */
    boolean getWftypeDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 业务工作流标识
     */
    String getPSWorkflowId();

    void setPSWorkflowId(String pSWorkflowId);

    /**
     * 获取 [业务工作流标识]脏标记
     */
    boolean getPSWorkflowIdDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 工作流名称
     */
    String getPSWFWorkflowName();

    void setPSWFWorkflowName(String pSWFWorkflowName);

    /**
     * 获取 [工作流名称]脏标记
     */
    boolean getPSWFWorkflowNameDirtyFlag();

    /**
     * 工作流名称
     */
    String getLogicName();

    void setLogicName(String logicName);

    /**
     * 获取 [工作流名称]脏标记
     */
    boolean getLogicNameDirtyFlag();

    /**
     * 部门名称
     */
    String getOrgDeptName();

    void setOrgDeptName(String orgDeptName);

    /**
     * 获取 [部门名称]脏标记
     */
    boolean getOrgDeptNameDirtyFlag();

    /**
     * 组织名称
     */
    String getOrgName();

    void setOrgName(String orgName);

    /**
     * 获取 [组织名称]脏标记
     */
    boolean getOrgNameDirtyFlag();

    /**
     * 部门标识
     */
    String getOrgDeptId();

    void setOrgDeptId(String orgDeptId);

    /**
     * 获取 [部门标识]脏标记
     */
    boolean getOrgDeptIdDirtyFlag();

    /**
     * 组织标识
     */
    String getOrgId();

    void setOrgId(String orgId);

    /**
     * 获取 [组织标识]脏标记
     */
    boolean getOrgIdDirtyFlag();

    /**
     * 业务系统标识
     */
    String getPSSystemId();

    void setPSSystemId(String pSSystemId);

    /**
     * 获取 [业务系统标识]脏标记
     */
    boolean getPSSystemIdDirtyFlag();

}
