package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFEngineSearchContext;

/**
 * 实体 [工作流引擎] 存储模型
 */
public interface WFEngine{

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 工作流引擎名称
     */
    String getWFEngineName();

    void setWFEngineName(String wFEngineName);

    /**
     * 获取 [工作流引擎名称]脏标记
     */
    boolean getWFEngineNameDirtyFlag();

    /**
     * 工作流引擎标识
     */
    String getWFEngineId();

    void setWFEngineId(String wFEngineId);

    /**
     * 获取 [工作流引擎标识]脏标记
     */
    boolean getWFEngineIdDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 逻辑名称
     */
    String getLogicName();

    void setLogicName(String logicName);

    /**
     * 获取 [逻辑名称]脏标记
     */
    boolean getLogicNameDirtyFlag();

    /**
     * 引擎类型
     */
    String getEnginetype();

    void setEnginetype(String enginetype);

    /**
     * 获取 [引擎类型]脏标记
     */
    boolean getEnginetypeDirtyFlag();

    /**
     * 统一工作流标识
     */
    String getWorkflowId();

    void setWorkflowId(String workflowId);

    /**
     * 获取 [统一工作流标识]脏标记
     */
    boolean getWorkflowIdDirtyFlag();

}
