package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFModeSearchContext;

/**
 * 实体 [工作流模式] 存储模型
 */
public interface WFMode{

    /**
     * 逻辑名称
     */
    String getLogicName();

    void setLogicName(String logicName);

    /**
     * 获取 [逻辑名称]脏标记
     */
    boolean getLogicNameDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 工作流模式标识
     */
    String getWFModeId();

    void setWFModeId(String wFModeId);

    /**
     * 获取 [工作流模式标识]脏标记
     */
    boolean getWFModeIdDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 工作流模式名称
     */
    String getWFModeName();

    void setWFModeName(String wFModeName);

    /**
     * 获取 [工作流模式名称]脏标记
     */
    boolean getWFModeNameDirtyFlag();

    /**
     * 业务系统标识
     */
    String getPSSystemId();

    void setPSSystemId(String pSSystemId);

    /**
     * 获取 [业务系统标识]脏标记
     */
    boolean getPSSystemIdDirtyFlag();

}
