package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFStepActorSearchContext;

/**
 * 实体 [工作流步骤操作者] 存储模型
 */
public interface WFStepActor{

    /**
     * 逻辑名称
     */
    String getLogicName();

    void setLogicName(String logicName);

    /**
     * 获取 [逻辑名称]脏标记
     */
    boolean getLogicNameDirtyFlag();

    /**
     * 父实例标识
     */
    String getParentInstId();

    void setParentInstId(String parentInstId);

    /**
     * 获取 [父实例标识]脏标记
     */
    boolean getParentInstIdDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 主实例标识
     */
    String getMajorInstId();

    void setMajorInstId(String majorInstId);

    /**
     * 获取 [主实例标识]脏标记
     */
    boolean getMajorInstIdDirtyFlag();

    /**
     * 工作流步骤操作者标识
     */
    String getWFStepActorId();

    void setWFStepActorId(String wFStepActorId);

    /**
     * 获取 [工作流步骤操作者标识]脏标记
     */
    boolean getWFStepActorIdDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 完成时间
     */
    Timestamp getFinishTime();

    void setFinishTime(Timestamp finishTime);

    /**
     * 获取 [完成时间]脏标记
     */
    boolean getFinishTimeDirtyFlag();

    /**
     * 工作流步骤操作者名称
     */
    String getWFStepActorName();

    void setWFStepActorName(String wFStepActorName);

    /**
     * 获取 [工作流步骤操作者名称]脏标记
     */
    boolean getWFStepActorNameDirtyFlag();

    /**
     * 任务标识
     */
    String getTaskId();

    void setTaskId(String taskId);

    /**
     * 获取 [任务标识]脏标记
     */
    boolean getTaskIdDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 是否处理
     */
    Integer getIsFinish();

    void setIsFinish(Integer isFinish);

    /**
     * 获取 [是否处理]脏标记
     */
    boolean getIsFinishDirtyFlag();

    /**
     * 查看时间
     */
    Timestamp getReadTime();

    void setReadTime(Timestamp readTime);

    /**
     * 获取 [查看时间]脏标记
     */
    boolean getReadTimeDirtyFlag();

    /**
     * 只读
     */
    Integer getIsReadOnly();

    void setIsReadOnly(Integer isReadOnly);

    /**
     * 获取 [只读]脏标记
     */
    boolean getIsReadOnlyDirtyFlag();

    /**
     * 开始时间
     */
    Timestamp getStartTime();

    void setStartTime(Timestamp startTime);

    /**
     * 获取 [开始时间]脏标记
     */
    boolean getStartTimeDirtyFlag();

    /**
     * 工作流用户名称
     */
    String getWFUserName();

    void setWFUserName(String wFUserName);

    /**
     * 获取 [工作流用户名称]脏标记
     */
    boolean getWFUserNameDirtyFlag();

    /**
     * 工作流用户标识
     */
    String getWFUserId();

    void setWFUserId(String wFUserId);

    /**
     * 获取 [工作流用户标识]脏标记
     */
    boolean getWFUserIdDirtyFlag();

    /**
     * 工作流步骤标识
     */
    String getWFStepId();

    void setWFStepId(String wFStepId);

    /**
     * 获取 [工作流步骤标识]脏标记
     */
    boolean getWFStepIdDirtyFlag();

    /**
     * 流程处理标识
     */
    String getPSWFProcessId();

    void setPSWFProcessId(String pSWFProcessId);

    /**
     * 获取 [流程处理标识]脏标记
     */
    boolean getPSWFProcessIdDirtyFlag();

    /**
     * 工作流实例标识
     */
    String getWFInstanceId();

    void setWFInstanceId(String wFInstanceId);

    /**
     * 获取 [工作流实例标识]脏标记
     */
    boolean getWFInstanceIdDirtyFlag();

    /**
     * 业务流程版本标识
     */
    String getPSWFVersionId();

    void setPSWFVersionId(String pSWFVersionId);

    /**
     * 获取 [业务流程版本标识]脏标记
     */
    boolean getPSWFVersionIdDirtyFlag();

}
