package cn.ibizlab.r7.runtime.wf.mybatis.r7rt_wf.po;

import cn.ibizlab.r7.runtime.wf.core.repository.po.PSWFPROCSUBWF;
import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import cn.ibizlab.r7.runtime.wf.util.annotation.PreField;
import cn.ibizlab.r7.runtime.wf.util.enums.FillMode;
import cn.ibizlab.r7.runtime.wf.util.enums.PredefinedType;

/**
 * 关系型数据实体表[PSWFPROCSUBWF] 对象
 */
@TableName(value = "T_PSWFPROCSUBWF",resultMap = "T_PSWFPROCSUBWFResultMap")
public class T_PSWFPROCSUBWFImpl implements PSWFPROCSUBWF,Serializable {

    /**
     * [嵌套流程名称]
     */
    private String pSWFPROCSUBWFName;
    /**
     * [嵌套流程名称]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean pSWFPROCSUBWFNameDirtyFlag;

    /**
     * [嵌套流程标识]
     */
    @TableId(value= "pswfprocsubwfid",type=IdType.UUID)
    private String pSWFPROCSUBWFId;
    /**
     * [嵌套流程标识]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean pSWFPROCSUBWFIdDirtyFlag;

    /**
     * [更新时间]
     */
    @PreField(fill= FillMode.INSERT_UPDATE,preType = PredefinedType.UPDATEDATE)
    private Timestamp updateDate;
    /**
     * [更新时间]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean updateDateDirtyFlag;

    /**
     * [更新人]
     */
    @PreField(fill= FillMode.INSERT_UPDATE,preType = PredefinedType.UPDATEMAN)
    private String updateMan;
    /**
     * [更新人]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean updateManDirtyFlag;

    /**
     * [建立时间]
     */
    @PreField(fill= FillMode.INSERT,preType = PredefinedType.CREATEDATE)
    private Timestamp createDate;
    /**
     * [建立时间]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean createDateDirtyFlag;

    /**
     * [建立人]
     */
    @PreField(fill= FillMode.INSERT,preType = PredefinedType.CREATEMAN)
    private String createMan;
    /**
     * [建立人]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean createManDirtyFlag;

    /**
     * [流程嵌套实体数据集]
     */
    private String subwfdedataset;
    /**
     * [流程嵌套实体数据集]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean subwfdedatasetDirtyFlag;

    /**
     * [业务流程版本标识]
     */
    private String pSWFVersionId;
    /**
     * [业务流程版本标识]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean pSWFVersionIdDirtyFlag;

    /**
     * [流程嵌套实体标识]
     */
    private String subwfdeid;
    /**
     * [流程嵌套实体标识]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean subwfdeidDirtyFlag;

    /**
     * [流程处理标识]
     */
    private String pSWFProcessId;
    /**
     * [流程处理标识]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean pSWFProcessIdDirtyFlag;

    /**
     * [业务工作流标识]
     */
    private String pSWorkflowId;
    /**
     * [业务工作流标识]脏标记
     */
    @JsonIgnore
    @TableField(exist = false)
    private boolean pSWorkflowIdDirtyFlag;

    /**
     * 获取 [嵌套流程名称]
     */
    public String getPSWFPROCSUBWFName(){
        return this.pSWFPROCSUBWFName ;
    }

    /**
     * 设置 [嵌套流程名称]
     */
    public void setPSWFPROCSUBWFName(String  pSWFPROCSUBWFName){
        this.pSWFPROCSUBWFName = pSWFPROCSUBWFName ;
        this.pSWFPROCSUBWFNameDirtyFlag = true ;
    }

    /**
     * 获取 [嵌套流程名称]脏标记
     */
    @JsonIgnore
    public boolean getPSWFPROCSUBWFNameDirtyFlag(){
        return this.pSWFPROCSUBWFNameDirtyFlag ;
    }
    /**
     * 获取 [嵌套流程标识]
     */
    public String getPSWFPROCSUBWFId(){
        return this.pSWFPROCSUBWFId ;
    }

    /**
     * 设置 [嵌套流程标识]
     */
    public void setPSWFPROCSUBWFId(String  pSWFPROCSUBWFId){
        this.pSWFPROCSUBWFId = pSWFPROCSUBWFId ;
        this.pSWFPROCSUBWFIdDirtyFlag = true ;
    }

    /**
     * 获取 [嵌套流程标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWFPROCSUBWFIdDirtyFlag(){
        return this.pSWFPROCSUBWFIdDirtyFlag ;
    }
    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }
    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }
    /**
     * 获取 [流程嵌套实体数据集]
     */
    public String getSubwfdedataset(){
        return this.subwfdedataset ;
    }

    /**
     * 设置 [流程嵌套实体数据集]
     */
    public void setSubwfdedataset(String  subwfdedataset){
        this.subwfdedataset = subwfdedataset ;
        this.subwfdedatasetDirtyFlag = true ;
    }

    /**
     * 获取 [流程嵌套实体数据集]脏标记
     */
    @JsonIgnore
    public boolean getSubwfdedatasetDirtyFlag(){
        return this.subwfdedatasetDirtyFlag ;
    }
    /**
     * 获取 [业务流程版本标识]
     */
    public String getPSWFVersionId(){
        return this.pSWFVersionId ;
    }

    /**
     * 设置 [业务流程版本标识]
     */
    public void setPSWFVersionId(String  pSWFVersionId){
        this.pSWFVersionId = pSWFVersionId ;
        this.pSWFVersionIdDirtyFlag = true ;
    }

    /**
     * 获取 [业务流程版本标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWFVersionIdDirtyFlag(){
        return this.pSWFVersionIdDirtyFlag ;
    }
    /**
     * 获取 [流程嵌套实体标识]
     */
    public String getSubwfdeid(){
        return this.subwfdeid ;
    }

    /**
     * 设置 [流程嵌套实体标识]
     */
    public void setSubwfdeid(String  subwfdeid){
        this.subwfdeid = subwfdeid ;
        this.subwfdeidDirtyFlag = true ;
    }

    /**
     * 获取 [流程嵌套实体标识]脏标记
     */
    @JsonIgnore
    public boolean getSubwfdeidDirtyFlag(){
        return this.subwfdeidDirtyFlag ;
    }
    /**
     * 获取 [流程处理标识]
     */
    public String getPSWFProcessId(){
        return this.pSWFProcessId ;
    }

    /**
     * 设置 [流程处理标识]
     */
    public void setPSWFProcessId(String  pSWFProcessId){
        this.pSWFProcessId = pSWFProcessId ;
        this.pSWFProcessIdDirtyFlag = true ;
    }

    /**
     * 获取 [流程处理标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWFProcessIdDirtyFlag(){
        return this.pSWFProcessIdDirtyFlag ;
    }
    /**
     * 获取 [业务工作流标识]
     */
    public String getPSWorkflowId(){
        return this.pSWorkflowId ;
    }

    /**
     * 设置 [业务工作流标识]
     */
    public void setPSWorkflowId(String  pSWorkflowId){
        this.pSWorkflowId = pSWorkflowId ;
        this.pSWorkflowIdDirtyFlag = true ;
    }

    /**
     * 获取 [业务工作流标识]脏标记
     */
    @JsonIgnore
    public boolean getPSWorkflowIdDirtyFlag(){
        return this.pSWorkflowIdDirtyFlag ;
    }
}