import entity_zh_CN from '@locale/lanres/entity/entity_zh_CN';
import wfuser_zh_CN from '@locale/lanres/wfuser/wfuser_zh_CN';
import psdataentity_zh_CN from '@locale/lanres/psdata-entity/psdata-entity_zh_CN';
import wfstepdata_zh_CN from '@locale/lanres/wfstep-data/wfstep-data_zh_CN';
import orgdept_zh_CN from '@locale/lanres/org-dept/org-dept_zh_CN';
import pswfversion_zh_CN from '@locale/lanres/pswfversion/pswfversion_zh_CN';
import pssystem_zh_CN from '@locale/lanres/pssystem/pssystem_zh_CN';
import pswfprocrole_zh_CN from '@locale/lanres/pswfproc-role/pswfproc-role_zh_CN';
import orguser_zh_CN from '@locale/lanres/org-user/org-user_zh_CN';
import pswfprocess_zh_CN from '@locale/lanres/pswfprocess/pswfprocess_zh_CN';
import wfapp_zh_CN from '@locale/lanres/wfapp/wfapp_zh_CN';
import pswfrole_zh_CN from '@locale/lanres/pswfrole/pswfrole_zh_CN';
import pswflink_zh_CN from '@locale/lanres/pswflink/pswflink_zh_CN';
import wfengine_zh_CN from '@locale/lanres/wfengine/wfengine_zh_CN';
import pswfprocsubwf_zh_CN from '@locale/lanres/pswfprocsubwf/pswfprocsubwf_zh_CN';
import psdewf_zh_CN from '@locale/lanres/psdewf/psdewf_zh_CN';
import wfmode_zh_CN from '@locale/lanres/wfmode/wfmode_zh_CN';
import wfrole_zh_CN from '@locale/lanres/wfrole/wfrole_zh_CN';
import orgdeptuser_zh_CN from '@locale/lanres/org-dept-user/org-dept-user_zh_CN';
import orgdeptwfver_zh_CN from '@locale/lanres/org-dept-wfver/org-dept-wfver_zh_CN';
import psworkflow_zh_CN from '@locale/lanres/psworkflow/psworkflow_zh_CN';
import pssyswfcat_zh_CN from '@locale/lanres/pssys-wfcat/pssys-wfcat_zh_CN';
import workflow_zh_CN from '@locale/lanres/workflow/workflow_zh_CN';
import org_zh_CN from '@locale/lanres/org/org_zh_CN';
import wfstep_zh_CN from '@locale/lanres/wfstep/wfstep_zh_CN';
import wfworklist_zh_CN from '@locale/lanres/wfworklist/wfworklist_zh_CN';
import pswfroledetail_zh_CN from '@locale/lanres/pswfrole-detail/pswfrole-detail_zh_CN';
import wfiaaction_zh_CN from '@locale/lanres/wfiaaction/wfiaaction_zh_CN';
import wfinstance_zh_CN from '@locale/lanres/wfinstance/wfinstance_zh_CN';
import pssysapp_zh_CN from '@locale/lanres/pssys-app/pssys-app_zh_CN';
import wfstepactor_zh_CN from '@locale/lanres/wfstep-actor/wfstep-actor_zh_CN';

export default {
    app: {
        gridpage: {
            choicecolumns: '选择列',
            refresh: '刷新',
            show: '显示',
            records: '条',
            totle: '共',
        },
        tabpage: {
            sureclosetip: {
                title: '关闭提醒',
                content: '表单数据已经修改，确定要关闭？',
            },
            closeall: '关闭所有',
            closeother: '关闭其他',
        },
        fileUpload: {
            caption: '上传',
        },
        searchButton: {
            search: '搜索',
            reset: '重置',
        },
        // 非实体视图
        views: {
            indexview: {
                caption: '流程管理平台',
            },
        },
        menus: {
            indexview: {
                menuitem5: '组织人员',
                menuitem1: '组织管理',
                menuitem2: '部门管理',
                menuitem3: '组织人员',
                menuitem4: '部门人员',
                menuitem7: '系统管理',
                menuitem9: '应用管理',
                menuitem8: '流程应用管理',
                menuitem6: '工作流管理',
                menuitem14: '流程实体管理',
                menuitem11: '流程版本管理',
                menuitem10: '流程角色',
                menuitem12: '流程实例管理',
                menuitem13: '流程代办',
                menuitem15: '流程步骤信息',
            },
        },
    },
    entity: entity_zh_CN,
    wfuser: wfuser_zh_CN,
    psdataentity: psdataentity_zh_CN,
    wfstepdata: wfstepdata_zh_CN,
    orgdept: orgdept_zh_CN,
    pswfversion: pswfversion_zh_CN,
    pssystem: pssystem_zh_CN,
    pswfprocrole: pswfprocrole_zh_CN,
    orguser: orguser_zh_CN,
    pswfprocess: pswfprocess_zh_CN,
    wfapp: wfapp_zh_CN,
    pswfrole: pswfrole_zh_CN,
    pswflink: pswflink_zh_CN,
    wfengine: wfengine_zh_CN,
    pswfprocsubwf: pswfprocsubwf_zh_CN,
    psdewf: psdewf_zh_CN,
    wfmode: wfmode_zh_CN,
    wfrole: wfrole_zh_CN,
    orgdeptuser: orgdeptuser_zh_CN,
    orgdeptwfver: orgdeptwfver_zh_CN,
    psworkflow: psworkflow_zh_CN,
    pssyswfcat: pssyswfcat_zh_CN,
    workflow: workflow_zh_CN,
    org: org_zh_CN,
    wfstep: wfstep_zh_CN,
    wfworklist: wfworklist_zh_CN,
    pswfroledetail: pswfroledetail_zh_CN,
    wfiaaction: wfiaaction_zh_CN,
    wfinstance: wfinstance_zh_CN,
    pssysapp: pssysapp_zh_CN,
    wfstepactor: wfstepactor_zh_CN,
};