/**
 * IndexView 部件模型
 *
 * @export
 * @class IndexViewModel
 */
export default class IndexViewModel {

    /**
     * 菜单项集合
     *
     * @private
     * @type {any[]}
     * @memberof IndexViewModel
     */
    private items: any[] = [
        {
	id: '2460a2a068e16630e2b752007605e7e0',
	name: 'menuitem1',
	text: '待办工作',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '待办工作',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto4',
	resourcetag: '',
},
        {
	id: '0302298f9199cbbe7207a2d0c74b4935',
	name: 'menuitem2',
	text: '已办工作',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '已办工作',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto1',
	resourcetag: '',
},
    ];

	/**
	 * 应用功能集合
	 *
	 * @private
	 * @type {any[]}
	 * @memberof IndexViewModel
	 */
	private funcs: any[] = [
	];

    /**
     * 获取所有菜单项集合
     *
     * @returns {any[]}
     * @memberof IndexViewModel
     */
    public getAppMenuItems(): any[] {
        return this.items;
    }

    /**
     * 获取所有应用功能集合
     *
     * @returns {any[]}
     * @memberof IndexViewModel
     */
    public getAppFuncs(): any[] {
        return this.funcs;
    }
}