/**
 * Enabled 部件模型
 *
 * @export
 * @class EnabledModel
 */
export default class EnabledModel {

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof EnabledDataViewMode
	 */
	public getDataItems(): any[] {
		return [
			{
				name: 'pswfversionid',
				prop: 'pswfversionid',
				dataType: 'GUID',
			},
			{
				name: 'starturl',
			},
			{
				name: 'psworkflowname',
			},
			{
				name: 'srfmajortext',
				prop: 'pswfversionname',
				dataType: 'TEXT',
			},
			{
				name: 'srfkey',
				prop: 'pswfversionid',
				dataType: 'GUID',
			},
			{
				name: 'pswfversionname',
				prop: 'pswfversionname',
				dataType: 'TEXT',
			},
			{
				name: 'version',
			},

			{
				name: 'pswfversion',
				prop: 'pswfversionid',
				dataType: 'FONTKEY',
			},


      {
        name:'size',
        prop:'size'
      },
      {
        name:'query',
        prop:'query'
      },
      {
        name:'sort',
        prop:'sort'
      },
      {
        name:'page',
        prop:'page'
      },
      {
        name:'srfparentdata',
        prop:'srfparentdata'
      }
		]
	}

}