/**
 * IndexView 部件模型
 *
 * @export
 * @class IndexViewModel
 */
export default class IndexViewModel {

    /**
     * 菜单项集合
     *
     * @private
     * @type {any[]}
     * @memberof IndexViewModel
     */
    private items: any[] = [
        {
	id: '3e1898f0acc3c3b75958627c0e33e726',
	name: 'menuitem1',
	text: '组织管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '组织管理',
	expanded: true,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	items: [
		{
	id: 'dc2bf370e7ef3de6cd7e4619e6a25e16',
	name: 'menuitem2',
	text: '组织管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '组织管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto12',
	resourcetag: '',
},
		{
	id: '2152811aea9cbf32be26b24c09ed0a14',
	name: 'menuitem3',
	text: '部门管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '部门管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto5',
	resourcetag: '',
},
		{
	id: '24589e4312830a93038bcac7e98a02ea',
	name: 'menuitem4',
	text: '组织人员',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '组织人员',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto3',
	resourcetag: '',
},
		{
	id: '03a89f1bf9eb616711ea88cb7113f417',
	name: 'menuitem5',
	text: '部门人员',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '部门人员',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto9',
	resourcetag: '',
},
	],
},
        {
	id: '30fa121530a2edadde762d6e6efe2272',
	name: 'menuitem6',
	text: '流程角色',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '流程角色',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto2',
	resourcetag: '',
},
        {
	id: '7a39476eb2e9e760c722b4dc8edfcdd8',
	name: 'menuitem7',
	text: '流程管理',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '流程管理',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto8',
	resourcetag: '',
},
        {
	id: '6061207305653c2b5915bf5e2a753a23',
	name: 'menuitem8',
	text: '流程配置',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '流程配置',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto29',
	resourcetag: '',
},
    ];

	/**
	 * 应用功能集合
	 *
	 * @private
	 * @type {any[]}
	 * @memberof IndexViewModel
	 */
	private funcs: any[] = [
	];

    /**
     * 获取所有菜单项集合
     *
     * @returns {any[]}
     * @memberof IndexViewModel
     */
    public getAppMenuItems(): any[] {
        return this.items;
    }

    /**
     * 获取所有应用功能集合
     *
     * @returns {any[]}
     * @memberof IndexViewModel
     */
    public getAppFuncs(): any[] {
        return this.funcs;
    }
}