/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public getDataItems(): any[] {
		return [
			{
				name: 'endtime',
				prop: 'endtime',
				dataType: 'DATETIME',
			},
			{
				name: 'starttime',
				prop: 'starttime',
				dataType: 'DATETIME',
			},
			{
				name: 'orgdeptname',
				prop: 'orgdeptname',
				dataType: 'PICKUPTEXT',
			},
			{
				name: 'pswfversionid',
				prop: 'pswfversionid',
				dataType: 'PICKUP',
			},
			{
				name: 'srfmajortext',
				prop: 'orgdeptwfvername',
				dataType: 'TEXT',
			},
			{
				name: 'srfkey',
				prop: 'orgdeptwfverid',
				dataType: 'GUID',
			},
			{
				name: 'srfdataaccaction',
				prop: 'orgdeptwfverid',
				dataType: 'GUID',
			},
			{
				name: 'pswfversionname',
				prop: 'pswfversionname',
				dataType: 'PICKUPTEXT',
			},
			{
				name: 'orgdeptid',
				prop: 'orgdeptid',
				dataType: 'PICKUP',
			},
			{
				name: 'psworkflowid',
				prop: 'psworkflowid',
				dataType: 'PICKUP',
			},
			{
				name: 'psworkflowname',
				prop: 'pswfworkflowname',
				dataType: 'PICKUPTEXT',
			},
			{
				name: 'updatedate',
				prop: 'updatedate',
				dataType: 'DATETIME',
			},
			{
				name: 'orgdeptwfvername',
				prop: 'orgdeptwfvername',
				dataType: 'TEXT',
			},
			{
				name: 'orgdeptwfver',
				prop: 'orgdeptwfverid',
			},


      {
        name:'size',
        prop:'size'
      },
      {
        name:'query',
        prop:'query'
      },
      {
        name:'page',
        prop:'page'
      },
      {
        name:'sort',
        prop:'sort'
      },
      {
        name:'srfparentdata',
        prop:'srfparentdata'
      }
		]
	}

}