package cn.ibizlab.r7.runtime.wf.core.r7rt_wf.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.Entity;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.EntitySearchContext;

/**
 * 实体[Entity] 服务对象接口
 */

public interface IEntityService{
     Entity get(String entityId) ;
     Entity get(Entity entity) ;
     boolean save(Entity entity) ;
     boolean create(Entity entity) ;
     boolean remove(String entityId) ;
     boolean checkKey(Entity entity) ;
     boolean update(Entity entity) ;
     Entity getDraft(Entity entity) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<Entity> searchDefault(EntitySearchContext context) ;

}
