package cn.ibizlab.r7.runtime.wf.core.r7rt_wf.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSDataEntity;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSDataEntitySearchContext;

/**
 * 实体[PSDataEntity] 服务对象接口
 */

public interface IPSDataEntityService{
     PSDataEntity getDraft(PSDataEntity pSDataEntity) ;
     boolean update(PSDataEntity pSDataEntity) ;
     boolean remove(String pSDataEntityId) ;
     PSDataEntity regist(PSDataEntity pSDataEntity) ;
     boolean create(PSDataEntity pSDataEntity) ;
     boolean save(PSDataEntity pSDataEntity) ;
     PSDataEntity get(String pSDataEntityId) ;
     PSDataEntity get(PSDataEntity pSDataEntity) ;
     boolean checkKey(PSDataEntity pSDataEntity) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<PSDataEntity> searchDefault(PSDataEntitySearchContext context) ;

    /**
     * 根据业务系统查询
     */
     Page<PSDataEntity> selectByPssystem(String pssystemid) ;
     List<PSDataEntity> selectByPssystem2(String pssystemid);

}
