package cn.ibizlab.r7.runtime.wf.core.r7rt_wf.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSSysWFCat;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSSysWFCatSearchContext;

/**
 * 实体[PSSysWFCat] 服务对象接口
 */

public interface IPSSysWFCatService{
     PSSysWFCat get(String pSSysWFCatId) ;
     PSSysWFCat get(PSSysWFCat pSSysWFCat) ;
     boolean checkKey(PSSysWFCat pSSysWFCat) ;
     boolean update(PSSysWFCat pSSysWFCat) ;
     boolean save(PSSysWFCat pSSysWFCat) ;
     boolean create(PSSysWFCat pSSysWFCat) ;
     PSSysWFCat getDraft(PSSysWFCat pSSysWFCat) ;
     boolean remove(String pSSysWFCatId) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<PSSysWFCat> searchDefault(PSSysWFCatSearchContext context) ;

}
