package cn.ibizlab.r7.runtime.wf.core.r7rt_wf.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFEngine;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFEngineSearchContext;

/**
 * 实体[WFEngine] 服务对象接口
 */

public interface IWFEngineService{
     WFEngine getDraft(WFEngine wFEngine) ;
     WFEngine regist(WFEngine wFEngine) ;
     boolean checkKey(WFEngine wFEngine) ;
     boolean update(WFEngine wFEngine) ;
     boolean remove(String wFEngineId) ;
     boolean create(WFEngine wFEngine) ;
     boolean save(WFEngine wFEngine) ;
     WFEngine get(String wFEngineId) ;
     WFEngine get(WFEngine wFEngine) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<WFEngine> searchDefault(WFEngineSearchContext context) ;

    /**
     * 根据统一工作流查询
     */
     Page<WFEngine> selectByWorkflow(String workflowid) ;
     List<WFEngine> selectByWorkflow2(String workflowid);

}
