package cn.ibizlab.r7.runtime.wf.core.r7rt_wf.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFIAAction;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFIAActionSearchContext;

/**
 * 实体[WFIAAction] 服务对象接口
 */

public interface IWFIAActionService{
     WFIAAction proc(WFIAAction wFIAAction) ;
     WFIAAction getDraft(WFIAAction wFIAAction) ;
     boolean remove(String wFIAActionId) ;
     boolean update(WFIAAction wFIAAction) ;
     boolean checkKey(WFIAAction wFIAAction) ;
     WFIAAction get(String wFIAActionId) ;
     WFIAAction get(WFIAAction wFIAAction) ;
     boolean save(WFIAAction wFIAAction) ;
     boolean create(WFIAAction wFIAAction) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<WFIAAction> searchDefault(WFIAActionSearchContext context) ;

    /**
     * 根据工作流步骤查询
     */
     Page<WFIAAction> selectByWfstep(String wfstepid) ;
     List<WFIAAction> selectByWfstep2(String wfstepid);

}
