package cn.ibizlab.r7.runtime.wf.core.r7rt_wf.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFRole;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFRoleSearchContext;

/**
 * 实体[WFRole] 服务对象接口
 */

public interface IWFRoleService{
     WFRole getDraft(WFRole wFRole) ;
     WFRole get(String wFRoleId) ;
     WFRole get(WFRole wFRole) ;
     boolean create(WFRole wFRole) ;
     boolean remove(String wFRoleId) ;
     boolean update(WFRole wFRole) ;
     boolean checkKey(WFRole wFRole) ;
     boolean save(WFRole wFRole) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<WFRole> searchDefault(WFRoleSearchContext context) ;

}
