package cn.ibizlab.r7.runtime.wf.core.r7rt_wf.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.Workflow;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WorkflowSearchContext;

/**
 * 实体[Workflow] 服务对象接口
 */

public interface IWorkflowService{
     Workflow getDraft(Workflow workflow) ;
     boolean create(Workflow workflow) ;
     Workflow regist(Workflow workflow) ;
     boolean checkKey(Workflow workflow) ;
     Workflow get(String workflowId) ;
     Workflow get(Workflow workflow) ;
     boolean save(Workflow workflow) ;
     boolean remove(String workflowId) ;
     boolean update(Workflow workflow) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<Workflow> searchDefault(WorkflowSearchContext context) ;

}
