package cn.ibizlab.r7.runtime.wf.core.r7rt_wf.valuerule.anno.pswfprocsubwf;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.valuerule.validator.pswfprocsubwf.PSWFPROCSUBWFCreateManDefaultValidator;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

/**
 * 值规则注解
 * 实体：PSWFPROCSUBWF
 * 属性：CreateMan
 * 值规则：Default
 */
@Target({ElementType.METHOD, ElementType.FIELD, ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Constraint(validatedBy = {PSWFPROCSUBWFCreateManDefaultValidator.class})
public @interface PSWFPROCSUBWFCreateManDefault {
    //是否默认检查
    boolean flag() default true;

    //值规则名称
    String info() default "默认规则";

    //值规则信息，如果为空，使用值规则名称。
    String message() default "内容长度必须小于等于[60]";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
