package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.PSDEWF;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSDEWFSearchContext;

/**
 * 实体 [业务实体工作流] 存储对象
 */
public interface PSDEWFRepository extends Repository<PSDEWF> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<PSDEWF> searchDefault(PSDEWFSearchContext context);

    PSDEWF convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSDEWF domain , PSDEWF po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSDEWF convert2Domain( PSDEWF po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSDEWF domain) ;

}
