package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.PSDataEntity;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSDataEntitySearchContext;

/**
 * 实体 [业务实体] 存储对象
 */
public interface PSDataEntityRepository extends Repository<PSDataEntity> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<PSDataEntity> searchDefault(PSDataEntitySearchContext context);

    PSDataEntity convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSDataEntity domain , PSDataEntity po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSDataEntity convert2Domain( PSDataEntity po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSDataEntity domain) ;

}
