package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.PSWFLink;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSWFLinkSearchContext;

/**
 * 实体 [流程连接] 存储对象
 */
public interface PSWFLinkRepository extends Repository<PSWFLink> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<PSWFLink> searchDefault(PSWFLinkSearchContext context);

    PSWFLink convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSWFLink domain , PSWFLink po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSWFLink convert2Domain( PSWFLink po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSWFLink domain) ;

}
