package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.PSWFProcRole;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSWFProcRoleSearchContext;

/**
 * 实体 [流程处理角色] 存储对象
 */
public interface PSWFProcRoleRepository extends Repository<PSWFProcRole> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<PSWFProcRole> searchDefault(PSWFProcRoleSearchContext context);

    PSWFProcRole convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSWFProcRole domain , PSWFProcRole po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSWFProcRole convert2Domain( PSWFProcRole po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSWFProcRole domain) ;

}
