package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.PSWFRoleDetail;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSWFRoleDetailSearchContext;

/**
 * 实体 [平台流程角色成员] 存储对象
 */
public interface PSWFRoleDetailRepository extends Repository<PSWFRoleDetail> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<PSWFRoleDetail> searchDefault(PSWFRoleDetailSearchContext context);

    PSWFRoleDetail convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSWFRoleDetail domain , PSWFRoleDetail po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSWFRoleDetail convert2Domain( PSWFRoleDetail po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSWFRoleDetail domain) ;

}
