package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.PSWFVersion;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSWFVersionSearchContext;

/**
 * 实体 [业务流程版本] 存储对象
 */
public interface PSWFVersionRepository extends Repository<PSWFVersion> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<PSWFVersion> searchDefault(PSWFVersionSearchContext context);

    PSWFVersion convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSWFVersion domain , PSWFVersion po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSWFVersion convert2Domain( PSWFVersion po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.PSWFVersion domain) ;

}
