package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.WFApp;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFAppSearchContext;

/**
 * 实体 [工作流应用] 存储对象
 */
public interface WFAppRepository extends Repository<WFApp> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<WFApp> searchDefault(WFAppSearchContext context);

    WFApp convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFApp domain , WFApp po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFApp convert2Domain( WFApp po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFApp domain) ;

}
