package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.WFEngine;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFEngineSearchContext;

/**
 * 实体 [工作流引擎] 存储对象
 */
public interface WFEngineRepository extends Repository<WFEngine> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<WFEngine> searchDefault(WFEngineSearchContext context);

    WFEngine convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFEngine domain , WFEngine po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFEngine convert2Domain( WFEngine po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFEngine domain) ;

}
