package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.WFIAAction;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFIAActionSearchContext;

/**
 * 实体 [工作流步骤操作] 存储对象
 */
public interface WFIAActionRepository extends Repository<WFIAAction> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<WFIAAction> searchDefault(WFIAActionSearchContext context);

    WFIAAction convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFIAAction domain , WFIAAction po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFIAAction convert2Domain( WFIAAction po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFIAAction domain) ;

}
