package cn.ibizlab.r7.runtime.wf.core.repository ;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.wf.core.repository.po.WFStep;
import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFStepSearchContext;

/**
 * 实体 [工作流步骤] 存储对象
 */
public interface WFStepRepository extends Repository<WFStep> {

    /**
	 * 查询集合 [DEFAULT]
	 * @param context
	 * @return
	 */
    Page<WFStep> searchDefault(WFStepSearchContext context);

    WFStep convert2PO(cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFStep domain , WFStep po) ;

    cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFStep convert2Domain( WFStep po ,cn.ibizlab.r7.runtime.wf.core.r7rt_wf.domain.WFStep domain) ;

}
