package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSSystemSearchContext;

/**
 * 实体 [业务系统] 存储模型
 */
public interface PSSystem{

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 根路径
     */
    String getRootpath();

    void setRootpath(String rootpath);

    /**
     * 获取 [根路径]脏标记
     */
    boolean getRootpathDirtyFlag();

    /**
     * 业务系统标识
     */
    String getPSSystemId();

    void setPSSystemId(String pSSystemId);

    /**
     * 获取 [业务系统标识]脏标记
     */
    boolean getPSSystemIdDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 服务地址
     */
    String getServiceUrl();

    void setServiceUrl(String serviceUrl);

    /**
     * 获取 [服务地址]脏标记
     */
    boolean getServiceUrlDirtyFlag();

    /**
     * 服务标识
     */
    String getServiceId();

    void setServiceId(String serviceId);

    /**
     * 获取 [服务标识]脏标记
     */
    boolean getServiceIdDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 逻辑名称
     */
    String getLogicName();

    void setLogicName(String logicName);

    /**
     * 获取 [逻辑名称]脏标记
     */
    boolean getLogicNameDirtyFlag();

    /**
     * 业务系统名称
     */
    String getPSSystemName();

    void setPSSystemName(String pSSystemName);

    /**
     * 获取 [业务系统名称]脏标记
     */
    boolean getPSSystemNameDirtyFlag();

    /**
     * 统一工作流名称
     */
    String getWorkflowName();

    void setWorkflowName(String workflowName);

    /**
     * 获取 [统一工作流名称]脏标记
     */
    boolean getWorkflowNameDirtyFlag();

    /**
     * 部门标识
     */
    String getOrgDeptId();

    void setOrgDeptId(String orgDeptId);

    /**
     * 获取 [部门标识]脏标记
     */
    boolean getOrgDeptIdDirtyFlag();

    /**
     * 统一工作流标识
     */
    String getWorkflowId();

    void setWorkflowId(String workflowId);

    /**
     * 获取 [统一工作流标识]脏标记
     */
    boolean getWorkflowIdDirtyFlag();

    /**
     * 组织标识
     */
    String getOrgId();

    void setOrgId(String orgId);

    /**
     * 获取 [组织标识]脏标记
     */
    boolean getOrgIdDirtyFlag();

}
