package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSWFLinkSearchContext;

/**
 * 实体 [流程连接] 存储模型
 */
public interface PSWFLink{

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 逻辑名称
     */
    String getLogicName();

    void setLogicName(String logicName);

    /**
     * 获取 [逻辑名称]脏标记
     */
    boolean getLogicNameDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 流程连接标识
     */
    String getPSWFLinkId();

    void setPSWFLinkId(String pSWFLinkId);

    /**
     * 获取 [流程连接标识]脏标记
     */
    boolean getPSWFLinkIdDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 流程连接名称
     */
    String getPSWFLinkName();

    void setPSWFLinkName(String pSWFLinkName);

    /**
     * 获取 [流程连接名称]脏标记
     */
    boolean getPSWFLinkNameDirtyFlag();

    /**
     * 流程处理标识
     */
    String getFrompswfprocid();

    void setFrompswfprocid(String frompswfprocid);

    /**
     * 获取 [流程处理标识]脏标记
     */
    boolean getFrompswfprocidDirtyFlag();

    /**
     * 业务流程版本标识
     */
    String getPSWFVersionId();

    void setPSWFVersionId(String pSWFVersionId);

    /**
     * 获取 [业务流程版本标识]脏标记
     */
    boolean getPSWFVersionIdDirtyFlag();

    /**
     * 流程处理标识
     */
    String getTopswfprocid();

    void setTopswfprocid(String topswfprocid);

    /**
     * 获取 [流程处理标识]脏标记
     */
    boolean getTopswfprocidDirtyFlag();

}
