package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSWFProcRoleSearchContext;

/**
 * 实体 [流程处理角色] 存储模型
 */
public interface PSWFProcRole{

    /**
     * 角色类型
     */
    String getRoleType();

    void setRoleType(String roleType);

    /**
     * 获取 [角色类型]脏标记
     */
    boolean getRoleTypeDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 数据对象属性名称
     */
    String getUdfield();

    void setUdfield(String udfield);

    /**
     * 获取 [数据对象属性名称]脏标记
     */
    boolean getUdfieldDirtyFlag();

    /**
     * 流程处理角色名称
     */
    String getPSWFProcRoleName();

    void setPSWFProcRoleName(String pSWFProcRoleName);

    /**
     * 获取 [流程处理角色名称]脏标记
     */
    boolean getPSWFProcRoleNameDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 流程处理角色标识
     */
    String getPSWFProcRoleId();

    void setPSWFProcRoleId(String pSWFProcRoleId);

    /**
     * 获取 [流程处理角色标识]脏标记
     */
    boolean getPSWFProcRoleIdDirtyFlag();

    /**
     * 流程处理名称
     */
    String getPSWFProcessName();

    void setPSWFProcessName(String pSWFProcessName);

    /**
     * 获取 [流程处理名称]脏标记
     */
    boolean getPSWFProcessNameDirtyFlag();

    /**
     * 流程处理标识
     */
    String getPSWFProcessId();

    void setPSWFProcessId(String pSWFProcessId);

    /**
     * 获取 [流程处理标识]脏标记
     */
    boolean getPSWFProcessIdDirtyFlag();

    /**
     * 平台流程角色标识
     */
    String getPSWFRoleId();

    void setPSWFRoleId(String pSWFRoleId);

    /**
     * 获取 [平台流程角色标识]脏标记
     */
    boolean getPSWFRoleIdDirtyFlag();

}
