package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFIAActionSearchContext;

/**
 * 实体 [工作流步骤操作] 存储模型
 */
public interface WFIAAction{

    /**
     * 处理人
     */
    String getPersonList();

    void setPersonList(String personList);

    /**
     * 获取 [处理人]脏标记
     */
    boolean getPersonListDirtyFlag();

    /**
     * 操作人
     */
    String getOpPerson();

    void setOpPerson(String opPerson);

    /**
     * 获取 [操作人]脏标记
     */
    boolean getOpPersonDirtyFlag();

    /**
     * 用户数据2
     */
    String getUserData2();

    void setUserData2(String userData2);

    /**
     * 获取 [用户数据2]脏标记
     */
    boolean getUserData2DirtyFlag();

    /**
     * 操作类型
     */
    String getActionType();

    void setActionType(String actionType);

    /**
     * 获取 [操作类型]脏标记
     */
    boolean getActionTypeDirtyFlag();

    /**
     * 用户数据
     */
    String getUserData();

    void setUserData(String userData);

    /**
     * 获取 [用户数据]脏标记
     */
    boolean getUserDataDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 审批意见
     */
    String getOpinion();

    void setOpinion(String opinion);

    /**
     * 获取 [审批意见]脏标记
     */
    boolean getOpinionDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 工作流步骤操作标识
     */
    String getWFIAActionId();

    void setWFIAActionId(String wFIAActionId);

    /**
     * 获取 [工作流步骤操作标识]脏标记
     */
    boolean getWFIAActionIdDirtyFlag();

    /**
     * 实例
     */
    String getWFInstanceId();

    void setWFInstanceId(String wFInstanceId);

    /**
     * 获取 [实例]脏标记
     */
    boolean getWFInstanceIdDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 逻辑名称
     */
    String getLogicName();

    void setLogicName(String logicName);

    /**
     * 获取 [逻辑名称]脏标记
     */
    boolean getLogicNameDirtyFlag();

    /**
     * 工作流步骤操作名称
     */
    String getWFIAActionName();

    void setWFIAActionName(String wFIAActionName);

    /**
     * 获取 [工作流步骤操作名称]脏标记
     */
    boolean getWFIAActionNameDirtyFlag();

    /**
     * 工作流步骤标识
     */
    String getWFStepId();

    void setWFStepId(String wFStepId);

    /**
     * 获取 [工作流步骤标识]脏标记
     */
    boolean getWFStepIdDirtyFlag();

}
