package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFRoleSearchContext;

/**
 * 实体 [流程角色] 存储模型
 */
public interface WFRole{

    /**
     * 流程角色标识
     */
    String getWFRoleId();

    void setWFRoleId(String wFRoleId);

    /**
     * 获取 [流程角色标识]脏标记
     */
    boolean getWFRoleIdDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 流程角色名称
     */
    String getWFRoleName();

    void setWFRoleName(String wFRoleName);

    /**
     * 获取 [流程角色名称]脏标记
     */
    boolean getWFRoleNameDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

}
