package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFStepSearchContext;

/**
 * 实体 [工作流步骤] 存储模型
 */
public interface WFStep{

    /**
     * 是否完成
     */
    Integer getIsFinish();

    void setIsFinish(Integer isFinish);

    /**
     * 获取 [是否完成]脏标记
     */
    boolean getIsFinishDirtyFlag();

    /**
     * 开始时间
     */
    Timestamp getStartTime();

    void setStartTime(Timestamp startTime);

    /**
     * 获取 [开始时间]脏标记
     */
    boolean getStartTimeDirtyFlag();

    /**
     * 逻辑名称
     */
    String getLogicName();

    void setLogicName(String logicName);

    /**
     * 获取 [逻辑名称]脏标记
     */
    boolean getLogicNameDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 结束时间
     */
    Timestamp getEndTime();

    void setEndTime(Timestamp endTime);

    /**
     * 获取 [结束时间]脏标记
     */
    boolean getEndTimeDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 父实例标识
     */
    String getParentInstId();

    void setParentInstId(String parentInstId);

    /**
     * 获取 [父实例标识]脏标记
     */
    boolean getParentInstIdDirtyFlag();

    /**
     * 工作流步骤名称
     */
    String getWFStepName();

    void setWFStepName(String wFStepName);

    /**
     * 获取 [工作流步骤名称]脏标记
     */
    boolean getWFStepNameDirtyFlag();

    /**
     * 工作流步骤标识
     */
    String getWFStepId();

    void setWFStepId(String wFStepId);

    /**
     * 获取 [工作流步骤标识]脏标记
     */
    boolean getWFStepIdDirtyFlag();

    /**
     * 主实例标识
     */
    String getMajorInstId();

    void setMajorInstId(String majorInstId);

    /**
     * 获取 [主实例标识]脏标记
     */
    boolean getMajorInstIdDirtyFlag();

    /**
     * 步骤次序
     */
    Integer getTraceStep();

    void setTraceStep(Integer traceStep);

    /**
     * 获取 [步骤次序]脏标记
     */
    boolean getTraceStepDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 流程处理标识
     */
    String getPSWFProcessId();

    void setPSWFProcessId(String pSWFProcessId);

    /**
     * 获取 [流程处理标识]脏标记
     */
    boolean getPSWFProcessIdDirtyFlag();

    /**
     * 业务流程版本标识
     */
    String getPSWFVersionId();

    void setPSWFVersionId(String pSWFVersionId);

    /**
     * 获取 [业务流程版本标识]脏标记
     */
    boolean getPSWFVersionIdDirtyFlag();

    /**
     * 工作流实例标识
     */
    String getWFInstanceId();

    void setWFInstanceId(String wFInstanceId);

    /**
     * 获取 [工作流实例标识]脏标记
     */
    boolean getWFInstanceIdDirtyFlag();

}
