package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFStepDataSearchContext;

/**
 * 实体 [流程步骤信息] 存储模型
 */
public interface WFStepData{

    /**
     * 流程步骤信息标识
     */
    String getWFStepDataId();

    void setWFStepDataId(String wFStepDataId);

    /**
     * 获取 [流程步骤信息标识]脏标记
     */
    boolean getWFStepDataIdDirtyFlag();

    /**
     * 操作人
     */
    String getActionPerson();

    void setActionPerson(String actionPerson);

    /**
     * 获取 [操作人]脏标记
     */
    boolean getActionPersonDirtyFlag();

    /**
     * 操作信息
     */
    String getActionInfo();

    void setActionInfo(String actionInfo);

    /**
     * 获取 [操作信息]脏标记
     */
    boolean getActionInfoDirtyFlag();

    /**
     * 主实例标识
     */
    String getMajorInstId();

    void setMajorInstId(String majorInstId);

    /**
     * 获取 [主实例标识]脏标记
     */
    boolean getMajorInstIdDirtyFlag();

    /**
     * 操作时间
     */
    Timestamp getActionTime();

    void setActionTime(Timestamp actionTime);

    /**
     * 获取 [操作时间]脏标记
     */
    boolean getActionTimeDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 操作
     */
    String getAction();

    void setAction(String action);

    /**
     * 获取 [操作]脏标记
     */
    boolean getActionDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 父实例标识
     */
    String getParentInstId();

    void setParentInstId(String parentInstId);

    /**
     * 获取 [父实例标识]脏标记
     */
    boolean getParentInstIdDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 流程步骤信息名称
     */
    String getWFStepDataName();

    void setWFStepDataName(String wFStepDataName);

    /**
     * 获取 [流程步骤信息名称]脏标记
     */
    boolean getWFStepDataNameDirtyFlag();

    /**
     * 工作流步骤名称
     */
    String getWFStepName();

    void setWFStepName(String wFStepName);

    /**
     * 获取 [工作流步骤名称]脏标记
     */
    boolean getWFStepNameDirtyFlag();

    /**
     * 工作流步骤标识
     */
    String getWFStepId();

    void setWFStepId(String wFStepId);

    /**
     * 获取 [工作流步骤标识]脏标记
     */
    boolean getWFStepIdDirtyFlag();

    /**
     * 工作流实例标识
     */
    String getWFInstanceId();

    void setWFInstanceId(String wFInstanceId);

    /**
     * 获取 [工作流实例标识]脏标记
     */
    boolean getWFInstanceIdDirtyFlag();

    /**
     * 工作流步骤操作标识
     */
    String getWFIAActionId();

    void setWFIAActionId(String wFIAActionId);

    /**
     * 获取 [工作流步骤操作标识]脏标记
     */
    boolean getWFIAActionIdDirtyFlag();

}
