package cn.ibizlab.r7.runtime.wf.core.repository.po ;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;

import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.WFWorklistSearchContext;

/**
 * 实体 [工作流工作列表] 存储模型
 */
public interface WFWorklist{

    /**
     * 发起人
     */
    String getInitiator();

    void setInitiator(String initiator);

    /**
     * 获取 [发起人]脏标记
     */
    boolean getInitiatorDirtyFlag();

    /**
     * 待办时间
     */
    Timestamp getWorkDate();

    void setWorkDate(Timestamp workDate);

    /**
     * 获取 [待办时间]脏标记
     */
    boolean getWorkDateDirtyFlag();

    /**
     * 是否关闭
     */
    Integer getIsclosed();

    void setIsclosed(Integer isclosed);

    /**
     * 获取 [是否关闭]脏标记
     */
    boolean getIsclosedDirtyFlag();

    /**
     * 更新时间
     */
    Timestamp getUpdateDate();

    void setUpdateDate(Timestamp updateDate);

    /**
     * 获取 [更新时间]脏标记
     */
    boolean getUpdateDateDirtyFlag();

    /**
     * 工作流工作列表标识
     */
    String getWFWorklistId();

    void setWFWorklistId(String wFWorklistId);

    /**
     * 获取 [工作流工作列表标识]脏标记
     */
    boolean getWFWorklistIdDirtyFlag();

    /**
     * 代办状态
     */
    String getWorklistState();

    void setWorklistState(String worklistState);

    /**
     * 获取 [代办状态]脏标记
     */
    boolean getWorklistStateDirtyFlag();

    /**
     * 待办信息
     */
    String getWorkInfo();

    void setWorkInfo(String workInfo);

    /**
     * 获取 [待办信息]脏标记
     */
    boolean getWorkInfoDirtyFlag();

    /**
     * 处理环节
     */
    String getWFWorklistName();

    void setWFWorklistName(String wFWorklistName);

    /**
     * 获取 [处理环节]脏标记
     */
    boolean getWFWorklistNameDirtyFlag();

    /**
     * 是否已读
     */
    Integer getIsread();

    void setIsread(Integer isread);

    /**
     * 获取 [是否已读]脏标记
     */
    boolean getIsreadDirtyFlag();

    /**
     * 逻辑名称
     */
    String getLogicName();

    void setLogicName(String logicName);

    /**
     * 获取 [逻辑名称]脏标记
     */
    boolean getLogicNameDirtyFlag();

    /**
     * 处理说明
     */
    String getMemo();

    void setMemo(String memo);

    /**
     * 获取 [处理说明]脏标记
     */
    boolean getMemoDirtyFlag();

    /**
     * 视图地址
     */
    String getViewUrl();

    void setViewUrl(String viewUrl);

    /**
     * 获取 [视图地址]脏标记
     */
    boolean getViewUrlDirtyFlag();

    /**
     * 建立时间
     */
    Timestamp getCreateDate();

    void setCreateDate(Timestamp createDate);

    /**
     * 获取 [建立时间]脏标记
     */
    boolean getCreateDateDirtyFlag();

    /**
     * 流程模块标识
     */
    String getWFModuleId();

    void setWFModuleId(String wFModuleId);

    /**
     * 获取 [流程模块标识]脏标记
     */
    boolean getWFModuleIdDirtyFlag();

    /**
     * 处理时间
     */
    Timestamp getFinishDate();

    void setFinishDate(Timestamp finishDate);

    /**
     * 获取 [处理时间]脏标记
     */
    boolean getFinishDateDirtyFlag();

    /**
     * 已处理
     */
    Integer getDone();

    void setDone(Integer done);

    /**
     * 获取 [已处理]脏标记
     */
    boolean getDoneDirtyFlag();

    /**
     * 更新人
     */
    String getUpdateMan();

    void setUpdateMan(String updateMan);

    /**
     * 获取 [更新人]脏标记
     */
    boolean getUpdateManDirtyFlag();

    /**
     * 紧急程度
     */
    String getUrgency();

    void setUrgency(String urgency);

    /**
     * 获取 [紧急程度]脏标记
     */
    boolean getUrgencyDirtyFlag();

    /**
     * 建立人
     */
    String getCreateMan();

    void setCreateMan(String createMan);

    /**
     * 获取 [建立人]脏标记
     */
    boolean getCreateManDirtyFlag();

    /**
     * 当前步骤
     */
    String getWFStep();

    void setWFStep(String wFStep);

    /**
     * 获取 [当前步骤]脏标记
     */
    boolean getWFStepDirtyFlag();

    /**
     * 流程数据标识
     */
    String getWFDataId();

    void setWFDataId(String wFDataId);

    /**
     * 获取 [流程数据标识]脏标记
     */
    boolean getWFDataIdDirtyFlag();

    /**
     * 引擎工作列表标识
     */
    String getWfengineworklistid();

    void setWfengineworklistid(String wfengineworklistid);

    /**
     * 获取 [引擎工作列表标识]脏标记
     */
    boolean getWfengineworklistidDirtyFlag();

    /**
     * 部门名称
     */
    String getOrgDeptName();

    void setOrgDeptName(String orgDeptName);

    /**
     * 获取 [部门名称]脏标记
     */
    boolean getOrgDeptNameDirtyFlag();

    /**
     * 工作流用户标识
     */
    String getWFUserId();

    void setWFUserId(String wFUserId);

    /**
     * 获取 [工作流用户标识]脏标记
     */
    boolean getWFUserIdDirtyFlag();

    /**
     * 平台流程角色标识
     */
    String getPSWFRoleId();

    void setPSWFRoleId(String pSWFRoleId);

    /**
     * 获取 [平台流程角色标识]脏标记
     */
    boolean getPSWFRoleIdDirtyFlag();

    /**
     * 部门标识
     */
    String getOrgDeptId();

    void setOrgDeptId(String orgDeptId);

    /**
     * 获取 [部门标识]脏标记
     */
    boolean getOrgDeptIdDirtyFlag();

    /**
     * 部门用户标识
     */
    String getOrgDeptUserId();

    void setOrgDeptUserId(String orgDeptUserId);

    /**
     * 获取 [部门用户标识]脏标记
     */
    boolean getOrgDeptUserIdDirtyFlag();

    /**
     * 工作流实例标识
     */
    String getWFInstanceId();

    void setWFInstanceId(String wFInstanceId);

    /**
     * 获取 [工作流实例标识]脏标记
     */
    boolean getWFInstanceIdDirtyFlag();

    /**
     * 组织标识
     */
    String getOrgId();

    void setOrgId(String orgId);

    /**
     * 获取 [组织标识]脏标记
     */
    boolean getOrgIdDirtyFlag();

}
