package cn.ibizlab.r7.runtime.wf.mybatis.r7rt_wf.mapper;


import cn.ibizlab.r7.runtime.wf.core.r7rt_wf.filter.PSWorkflowSearchContext;
import cn.ibizlab.r7.runtime.wf.mybatis.r7rt_wf.po.T_PSWORKFLOWImpl;
import cn.ibizlab.r7.runtime.wf.core.repository.po.PSWorkflow;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

/**
 * 关系型数据实体表[PSWorkflow]映射对象
 */
public interface T_PSWORKFLOWMapper extends BaseMapper<T_PSWORKFLOWImpl> {

     /**
      * 查询集合[CurOrg]
      * @param page 分页对象
      * @param context 查询上下文对象
      * @param wrapper 查询条件对象
      * @return
      */
     Page<PSWorkflow> searchCurOrg(IPage page, @Param("srf") PSWorkflowSearchContext context,@Param("ew") Wrapper wrapper) ;
     /**
      * 查询集合[CurOrgDept]
      * @param page 分页对象
      * @param context 查询上下文对象
      * @param wrapper 查询条件对象
      * @return
      */
     Page<PSWorkflow> searchCurOrgDept(IPage page, @Param("srf") PSWorkflowSearchContext context,@Param("ew") Wrapper wrapper) ;
     /**
      * 查询集合[Default]
      * @param page 分页对象
      * @param context 查询上下文对象
      * @param wrapper 查询条件对象
      * @return
      */
     Page<PSWorkflow> searchDefault(IPage page, @Param("srf") PSWorkflowSearchContext context,@Param("ew") Wrapper wrapper) ;

}
