package cn.ibizlab.r7.runtime.wf.service.wfenginecallbackservice.resource;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import org.springframework.http.HttpStatus;
import org.springframework.util.StringUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;
import com.alibaba.fastjson.JSONObject;

@Api(tags = {"wfenginecallbackservice" })
@RestController
@RequestMapping(value = "")
public class WFEngineCallBackServiceResource {
    /**
     * 开始流程回调【WFStart】
     */
    @RequestMapping(method = RequestMethod.POST, value = "/wfenginecallbackservice/wfstart")
    public ResponseEntity<JSONObject> wfStart(@RequestBody JSONObject jo) {
        JSONObject rst = new JSONObject();
        rst.put("rst", "0");
        rst.put("errmsg", "方法未实现");
        return ResponseEntity.status(HttpStatus.OK).body(rst);
    }

    /**
     * 流程处理回调【WFSubmit】
     */
    @RequestMapping(method = RequestMethod.POST, value = "/wfenginecallbackservice/wfsubmit")
    public ResponseEntity<JSONObject> wfSubmit(@RequestBody JSONObject jo) {
        JSONObject rst = new JSONObject();
        rst.put("rst", "0");
        rst.put("errmsg", "方法未实现");
        return ResponseEntity.status(HttpStatus.OK).body(rst);
    }

    /**
     * 流程结束回调【WFClose】
     */
    @RequestMapping(method = RequestMethod.POST, value = "/wfenginecallbackservice/wfclose")
    public ResponseEntity<JSONObject> wfClose(@RequestBody JSONObject jo) {
        JSONObject rst = new JSONObject();
        rst.put("rst", "0");
        rst.put("errmsg", "方法未实现");
        return ResponseEntity.status(HttpStatus.OK).body(rst);
    }

    /**
     * 流程跳转回调【WFGoto】
     */
    @RequestMapping(method = RequestMethod.POST, value = "/wfenginecallbackservice/wfgoto")
    public ResponseEntity<JSONObject> wfGoto(@RequestBody JSONObject jo) {
        JSONObject rst = new JSONObject();
        rst.put("rst", "0");
        rst.put("errmsg", "方法未实现");
        return ResponseEntity.status(HttpStatus.OK).body(rst);
    }

    /**
     * 流程重启回调【WFRestart】
     */
    @RequestMapping(method = RequestMethod.POST, value = "/wfenginecallbackservice/wfrestart")
    public ResponseEntity<JSONObject> wfRestart(@RequestBody JSONObject jo) {
        JSONObject rst = new JSONObject();
        rst.put("rst", "0");
        rst.put("errmsg", "方法未实现");
        return ResponseEntity.status(HttpStatus.OK).body(rst);
    }

    /**
     * 流程撤回回调【WFRollback】
     */
    @RequestMapping(method = RequestMethod.POST, value = "/wfenginecallbackservice/wfrollback")
    public ResponseEntity<JSONObject> wfRollback(@RequestBody JSONObject jo) {
        JSONObject rst = new JSONObject();
        rst.put("rst", "0");
        rst.put("errmsg", "方法未实现");
        return ResponseEntity.status(HttpStatus.OK).body(rst);
    }

    /**
     * 流程退回回调【WFSendBack】
     */
    @RequestMapping(method = RequestMethod.POST, value = "/wfenginecallbackservice/wfsendback")
    public ResponseEntity<JSONObject> wfSendBack(@RequestBody JSONObject jo) {
        JSONObject rst = new JSONObject();
        rst.put("rst", "0");
        rst.put("errmsg", "方法未实现");
        return ResponseEntity.status(HttpStatus.OK).body(rst);
    }

    /**
     * 流程重新分配回调【WFReassign】
     */
    @RequestMapping(method = RequestMethod.POST, value = "/wfenginecallbackservice/wfreassign")
    public ResponseEntity<JSONObject> wfReassign(@RequestBody JSONObject jo) {
        JSONObject rst = new JSONObject();
        rst.put("rst", "0");
        rst.put("errmsg", "方法未实现");
        return ResponseEntity.status(HttpStatus.OK).body(rst);
    }

    /**
     * 流程标记已读回调【WFMarkRead】
     */
    @RequestMapping(method = RequestMethod.POST, value = "/wfenginecallbackservice/wfmarkread")
    public ResponseEntity<JSONObject> wfMarkRead(@RequestBody JSONObject jo) {
        JSONObject rst = new JSONObject();
        rst.put("rst", "0");
        rst.put("errmsg", "方法未实现");
        return ResponseEntity.status(HttpStatus.OK).body(rst);
    }

    /**
     * 流程挂起回调【WFSuspend】
     */
    @RequestMapping(method = RequestMethod.POST, value = "/wfenginecallbackservice/wfsuspend")
    public ResponseEntity<JSONObject> wfSuspend(@RequestBody JSONObject jo) {
        JSONObject rst = new JSONObject();
        rst.put("rst", "0");
        rst.put("errmsg", "方法未实现");
        return ResponseEntity.status(HttpStatus.OK).body(rst);
    }

    /**
     * 流程恢复回调【WFResume】
     */
    @RequestMapping(method = RequestMethod.POST, value = "/wfenginecallbackservice/wfresume")
    public ResponseEntity<JSONObject> wfResume(@RequestBody JSONObject jo) {
        JSONObject rst = new JSONObject();
        rst.put("rst", "0");
        rst.put("errmsg", "方法未实现");
        return ResponseEntity.status(HttpStatus.OK).body(rst);
    }
}
